function out = YN_01(value,direction)
% transfrom a 'Y' or 'N' string into a 1 or 0 number
% direction = 'Y_to_1' Y becomes 1,...
% direction = '1_to_Y' 1 becomes Y,...

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%



switch direction
case 'Y_to_1'
	out = 0;
	if strcmp(value,'Y')
		out = 1;
	end
case '1_to_Y'
	out = 'N';
	if value 
		out = 'Y';
	end
end
