function ok = is_one_number(x)
% verify x is really one number where x is a string
% thus ONLY 0 ... 9 and ONE or NO .

%
%   Version : Feb 24, 03.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

ok = 0;
if ~isempty(x)
	if isnumeric(str2num(x))
		ok = 1;
		npoint = 0;
		for i = 1:length(x)
			if ~(double(x(i)) <= 57 & double(x(i)) >= 48) % not a digit
				if double(x(i)) == 46 % a .
					npoint = npoint + 1;
				else
					% and not a point, wrong
					ok = 0;
				end
			end
		end
		if npoint > 1
			ok = 0;
		end
	end
end

