function [lg_name, sh_name] = build_var_name(variable_index)
% building default long and short name for a variable  based on 
% attribute_name(index_name1 = 3, index_name2 = Joe) 

% variable_index = index of the variable for which we build a name

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global frame structure mapping attribute variable belief
global pin_frame pin_structure pin_attribute  pin_variable 
global pin_mapping pin_belief

% full = full_attr(index1=nnn,index2=bbb)
% short = sh_attr(2,1) 2 1 are position in element list of frame
% add in Instruction a list sh = lg names

att_ind = pin_manipulation('attribute','num2ind',variable(variable_index).attribute);
fra_ind = pin_manipulation('frame',    'num2ind',variable(variable_index).frame);

% sh_name = Vnnn  with nnn = variable number
sh_name = ['V',num2str(variable(variable_index).number)];

% If no index: Vxxx with www = attribute full name
lg_name = ['V',attribute(att_ind).full_name];

% if index: Vxxx(Index_name1=elem1i,Index_name2=elem2j)
if length(attribute(att_ind).index)	
	lg_name = [lg_name,'(']; 
	for i = 1:length(attribute(att_ind).index)
		frind_ind = pin_manipulation('frame','num2ind',attribute(att_ind).index(i).frame);
		lg_name = [lg_name,   attribute(att_ind).index(i).name,'=',...
		frame(frind_ind).elements(variable(variable_index).index_value(i),:),','];		
	end
	lg_name(length(lg_name)) = ')';
end
