function [y] = gauss_gamma(u,a,b,n,x1,x2,option)
% pdf laplace   
% int p:q  1/b  exp(- x/b) dx = - exp(- x/b)| p:q  = exp(-q/b) - exp(-q/b)
% option = 'in' for bel, = 'out' for pl and q

fois = +1;
if strcmp(option,'out')
	fois = -1;
end

for i = 1:length(u)
	v1 = x1 + fois*u(i); v2 = x2 - fois*u(i);	
	y(i) = gauss(a,b,v1,v2) * u(i)^(n-1)*exp(-u(i))/gamma(n);
end

% % % % % % % if length(u) == 14
% % % % % % [length(u) a b x1 x2]
% % % % % % [u'  y']
% % % % % % % end
