function bit_on = long_num2onbit(vect_n, card)
% produce list of index of bits that are on in vect_n (a long number)

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global nbr_bit_per_word

% when asking it for empty list, get bits = empty
bit_on = [];

[nw, rm] =  words_for_set(card);

bit_on = []; % to be sure we have initializeit, so OK for 0 also

bit_on = find(long_num2bit(vect_n, nw*nbr_bit_per_word + rm));
