function [up_sets] = next_up_sets(a, n_elements)
% produce list of super sets of a where W has n elements
% and cardinalities of super sets are cardinality a + 1

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


up_sets = [];
for i = 1:n_elements
	if bitget(a,i) == 0
		up_sets = [up_sets bitset(a,i)];
	end
end
