function  [position] = pos_subsets_same_cardi(n_elements)
% produce list of positions

% in position{1} you get those of cardinality 0
% in position{2} you get those of cardinality 1
% in position{n+1} you get those of cardinality n
% 
% if n_elements = 3, positions are:
% n = 0: {1}
% n = 1: {2, 3, 5}
% n = 2: {4, 6, 7}
% n = 3: {8}

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


nbit = nbrbiton([0:2^n_elements-1], n_elements)+1;

for i=1:n_elements+1
	position{i} = [];
end
for i=1:2^n_elements
	nb = nbit(i);
	position{nb} = [position{nb} i];
end
