function create_dict_fct
% list all fct used in TBMLAB and produces 
% an alphabetic list of all of them with their folder location
% an alphabetic list of all of them  telling which other functions call them
% list produced on the file TBM_Function_Catalog located in TBMLAB_Mac/PC

% useful to find a fct and for debugging


% NOT OK IT DOES NOT BEHAVE AS IT SHOULD WHEN A ;M IS AT SAME LEVEL AS A FOLDER????

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global pathname2TBMLABvers 

disp('THIS IS A DANGEROUS PROGRAM')
disp('If it crashes, your running Matlab may crash (it gets lost in its directory)')
disp('You MUST then quit Matlab and restart it. Matlab is OK.')
disp('So before using it, save your data')
disp('Confirm you want to run it')
disp(' ')
disp('The software is not very clever. It look at every functions which is stored in a .m file.')
disp('Then it looks in every other .m file if the string is present. ')
disp('A wrong reference appears when a string like ''my_fct'' is used as a .m file name,') 
disp('but appears as part of the name of a variable like in ''the_my_fct''.')
disp('This error is easy to correct when reading the listings.') 

but = questdlg('Do you want to run it ?');

% option = input('option 1 = the folder, who I call, who calls me, 2 = print also the functions.')
option = 1;

if ~strcmp(but,'Yes')
	return
end

build_pathname	
add_saved_file = fullfile(pathname2TBMLABvers,'Function_Lib','For_Developers','Dico_TBMLAB_Fcn.txt');
k = findstr(pathname2TBMLABvers,'TBMLAB_');
version_tbmlab = pathname2TBMLABvers(k(2)+6:end);

switch computer
case 'MAC2'
	skip_dir = 1;	
case 'PCWIN'
	skip_dir = 3;	
	% I need it as PC add two directory with name . and .., in front
otherwise
	skip_dir = 3;			
end	

path_pending_dir{1} = pathname2TBMLABvers;
pending_index = [1];
to = 1;
i_name = 0;
k_fct = 0;
list_fct{1} = ' ';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% getting files/folders names and codes
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

while ~isempty(pending_index)	
	cd( path_pending_dir{ pending_index(1) } ) % this is now directory
	fn = dir; % the names of the files in now directory
	
	for i = 1:length(fn)
		i_name = i_name + 1;
		list_f(i_name).name = fn(i).name;
		% 		fprintf(1,'%4i %4i %4i  %s  \n ',[i_name  i fn(i).isdir fn(i).name])
		% getting the code if it is a .m file
		if ~fn(i).isdir & ~strcmp(fn(i).name,'.m')  % not dirctory & not name = .m  (a useless files created by system)
			% is  fn(i).name a .m but not a .mat			
			if isempty( findstr('.mat',fn(i).name)) % file is not xxx.mat
				dot_m = findstr('.m',fn(i).name);
				if ~isempty(dot_m) % there is .m
					% I check we have not yet read it
					shn = fn(i).name(1:dot_m - 1);				
					if ~ismember(shn, list_fct)
						k_fct = k_fct + 1;
						% store the name without .m
						list_fct{k_fct} = shn;
						% get the code
						fullfile(path_pending_dir{pending_index(1)},fn(i).name);
						fid = fopen(fullfile(path_pending_dir{pending_index(1)},fn(i).name),'r');
						if fid > 0
							t{k_fct} = fscanf(fid,'%c');							
							fclose(fid);								
						else
							t(k_fct) = ' '; % code{k_fct}{1} = ' ';
						end						
					end
				end
			end	
		end
	
		from1 = findstr(path_pending_dir{ pending_index(1) },'TBMLAB');
		to1 = length(path_pending_dir{ pending_index(1) });
		list_f(i_name).path = path_pending_dir{pending_index(1)}(from1:to1);	
		list_f(i_name).path = [filesep,list_f(i_name).path];
		% list_fct = list of the .m file names (without the .m)
		% list_f().path = filesep, path from TBMLAB to now directory
		% path_pending_dir = pathname up to direcotry
		% pending_index = list if indexes  with directories not yet explored (we will onsider the first one, and delete it then)
	end

	% finding the files that are (sub)directories
	file_dir = {fn(find([fn(:).isdir])).name}; % all directories in this directory (including . and .. in PC)
	if ~isempty(file_dir{1})  
		if length(file_dir) >= skip_dir
			file_dir1 = file_dir(skip_dir:length(file_dir)); % those usefull		
			from = to+1;
			to = to + length(file_dir1);		
			pending_index = [pending_index from:to];
			ik = 0;
			for i = from:to
				ik = ik + 1;
				path_pending_dir{i} = fullfile( path_pending_dir{ pending_index(1) }, file_dir1{ik} ,'') ;
			end
		end
	end
	pending_index(1) = []; % we eliminate the directory done	
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% printing ar displaying file names with their location (directory)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for i = 1:length(list_f)
	low_list_f(i).name = lower(list_f(i).name);
end

[srt inx jnx] = unique(strvcat(low_list_f(:).name),'rows');

list_alpha = strvcat(list_f(inx(:)).name);
list_beta = strvcat(list_f(inx(:)).path);
list_alpha = [list_alpha list_beta];

fid = fopen(add_saved_file,'wt');
fprintf(fid,'TBMLAB\s. Catalog of all functions with their path starting at TBMLAB_Folder.\n\n',[version_tbmlab]);
fprintf(fid,'Use font = Courier or Courier New (fixed width fonts) to get a nice layout.\n\n',[]);
for i = 1:size(list_alpha,1)		
	fprintf(fid,'%s\n',list_alpha(i,:));
end
st=fclose(fid);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% studying where fct are called
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% code{i} contains code of fct i
% list_fct{i} = name of the fct without the .m
% list_fct{3} = 'my_fct'
% code{3} = {'function [out] = my_fct(in)',' line 2 of code','line 3 of code'}
% code{3}{2} = 'line 2 of code'
% I build a huge matrix all_codes such that all_cades{35} = line x of code y
% and two vectors of same length with 
% fct_source{35} = y 
% line(35) = x
% it speed up the search

% nbr_fct = size(list_fct,2) ;
% % it does not work as there is no way to search the whole matrix in one operation
% k = 0;
% for i = 1:nbr_fct
% 	for j = 1:size(code{i},1)
% 		k = k + 1;
% 		all_codes{k} = code{i}{j};
% 		fct_source{k} = list_fct{i};
% 		line(k) = j;
% 	end
% end



[srt_fct inx jnx] = unique(strvcat(lower(list_fct)),'rows');

nbr_fct = length(inx);

% finding location of every call
result{1} = ' '; 
for i = 1:length(t)
	val_call{i} = [];
end
ik = 0;
for i = 1: nbr_fct
	fprintf(1,'We are at function %5i, and we have a total of %5i functions to examine. Be patient.\n',[i nbr_fct])
	% result is for who calls me
	% res_who for who do I call
	ik=ik+1;result{ik} = list_fct{inx(i)};	 
	res_who{ik} = list_fct{inx(i)};	 
	for j = 1:length(t)
		if findstr(list_fct{inx(i)},t{inx(j)})
			if ~strcmp(list_fct{inx(i)} , list_fct{inx(j)} )
				ik=ik+1;result{ik} = ['   ',list_fct{inx(j)}];
				val_call{inx(j)} = [val_call{inx(j)} inx(i)];
			end
		end
	end
end
res_who{1} = ' ';ik = 0;
for i = 1: nbr_fct
	ik = ik + 1;res_who{ik} = list_fct{inx(i)};	 
	for j = 1:length(val_call{inx(i)})
		ik = ik + 1;res_who{ik} = ['   ',list_fct{val_call{inx(i)}(j)}];
	end
end

% on a file
fid = fopen(add_saved_file,'a');
fprintf(fid,'\n\n',[]);
fprintf(fid,'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n',[]);
fprintf(fid,'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n',[]);
fprintf(fid,'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n',[]);
fprintf(fid,'\n\nWHO CALLS ME. List of the other functions that call a function\n\n',[]);

for i = 1:length(result)		
	fprintf(fid,'%s\n',result{i});
end

fprintf(fid,'\n\n',[]);
fprintf(fid,'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n',[]);
fprintf(fid,'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n',[]);
fprintf(fid,'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n',[]);
fprintf(fid,'\n\nWHO DO I CALL. List of the functions called by each function\n\n',[]);
for i = 1:length(res_who)		
	fprintf(fid,'%s\n',res_who{i});
end

disp('Catalog of all TBM_functions are saved on a file named Dico_TBMLAB_Fcn located in Function_Lib:For_Developers')

if option == 2
	for i = 1:length(t)
		fprintf(fid,'\f',[]);
		t{i}
		fprintf(fid,'%s\n',t{i});
	end
end

st=fclose(fid);

