%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% getting the number and value lines
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

from_hor = (i_hor_scr-1)*nbr_columns_per_scr + 1;
to_hor = min(total_nbr_of_sets,i_hor_scr*nbr_columns_per_scr);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% fontsize for Which_Courier
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global Which_Courier
switch computer
case 'MAC2'
	ftsz = 10;
otherwise
	ftsz = 9;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% getting the masses
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

pos_new_m_now = [left_sh+width_elements-pos_box(3)  pos_fig(4)-top_sh  pos_box(3)  pos_box(4)];
jj = 0;
for ik = 1:nbr_forms
	pos_new_m_now(2) = pos_new_m_now(2) - pos_box(4);
	pos_new_m_now(1) = left_sh+width_elements-pos_box(3);
	for j = from_hor:to_hor
		pos_new_m_now(1) = pos_new_m_now(1) + pos_box(3);
		jj = jj + 1;
		if what_case == 1
			hd_nbr(ik+1,jj) = uicontrol(hd_fig,...
			'fontname',Which_Courier,'fontsize',ftsz,'units','pixels',...
			'style','text','position',pos_new_m_now,...
			'backgroundcolor',[1 1 1],...
			'ButtonDownFcn','clb_edit_bp;uiresume(gcf);',...
			'string',shown_m{ik,j});
		else
			hd_nbr(ik+1,jj) = uicontrol(hd_fig,...
			'fontname',Which_Courier,'fontsize',ftsz,'units','pixels',...
			'style','text','position',pos_new_m_now,...
			'backgroundcolor',[1 1 1],...
			'string',shown_m{ik,j});
		end
	
	end	
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% getting the number line 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

v_line = 1; % one already drawn with the element names
jcol = 0;
pos_new_m_now(1) = left_sh+width_elements-pos_box(3);
pos_new_m_now(2) = pos_new_m_now(2) - pos_box(4);
for j = from_hor:to_hor
	pos_new_m_now(1) = pos_new_m_now(1) + pos_box(3);
	if j <= 9
		val = ['   ', num2str(j),' '];	
	elseif j <= 99
		val = ['  ', num2str(j),' '];
	elseif j <= 999
		val = [' ',num2str(j),' '];
	elseif j <= 9999
		val = [num2str(j),' '];	
	else
		val = [num2str(j)];	
	end
	jcol = jcol + 1;
	hd_nbr(1,jcol) = uicontrol(hd_fig,...
	'fontname',Which_Courier,'fontsize',ftsz,'units','pixels',...
	'style','text','position',pos_new_m_now,...
	'backgroundcolor',[1 1 1],...
	'ButtonDownFcn','clb_edit_bp;uiresume(gcf);',...
	'string',val);	
end
total_length = pos_new_m_now(1) + pos_box(3);
