function [sel_val] = get_sel_values(hd_list,one_many,which_object)
% getting sel values in a list, I need ONE, but may not use max = 1 
% (as I want to be sure selection is not just distraction)
% sel_val =  0 means Cancel
% sel_val = -1 means New

switch one_many
case 'one'
		
	% If I put uiwait, it works for selecting for edit,.... but not for new 
	
	tic
	while toc < 2
		% I wait 2 sec so the double click is considered as the second one and can be read in
	end

	sel_val = get(hd_list(2),'value');
	
	txt =['You can 1) if object selected, keep them, 2) select one and only one object in ',upper(which_object),...
	' list, 3) select button New if you want a new ',which_object,' objet. Do it.'];
	
	while length(sel_val) ~= 1
		choice = text_with_n_buttons(gcf, txt, {'Done','New','Cancel'}, [0 0 0 0]);
		if choice == 3
			sel_val = 0;
			return
		elseif choice == 2
			sel_val = -1;
			return
		end
		sel_val = get(hd_list(2),'value');
	end

case 'many'
	txt =['You can 1) if object selected, keep them, 2) select one or several objects in ',upper(which_object),...
	' list. Do it.'];

	sel_val = []; 
	while length(sel_val) == 0
		choice = text_with_n_buttons(gcf, txt, {'Done','Cancel'}, [0 0 0 0]);
		if choice == 2
			sel_val = 0;
			return
		end
		sel_val = get(hd_list(2),'value');
	end
end
