% print_report 
% for every object:
% list of index, num, short_name, full_name

% fid = 1 or file #  % print_report on command window

fprintf(fid,'\n\nREPORT on all exisiting objects\n',[]);
ff = '%6i';
fs = '%20s  ';

if ~isempty(frame)
	fprintf(fid,'\nFRAME : \n index number           short_name    full_name\n',[]);
	for i=1:length(frame)
		fprintf(fid,'%s \n',[sprintf(ff,i),' ',sprintf(ff,frame(i).number),' ',...
		sprintf(fs,frame(i).short_name),'  ',frame(i).full_name]);
	end
end		

if ~isempty(structure)
	fprintf(fid,'\nSTRUCTURE : \n index number           short_name    full_name\n',[]);
	for i=1:length(structure)
		fprintf(fid,'%s \n',[sprintf(ff,i),' ',sprintf(ff,structure(i).number),' ',...
		sprintf(fs,structure(i).short_name),'  ',structure(i).full_name]);
	end
end	

if ~isempty(mapping)
	fprintf(fid,'\nMAPPING : \n index number           short_name    full_name\n',[]);
	for i=1:length(mapping)
		fprintf(fid,'%s \n',[sprintf(ff,i),' ',sprintf(ff,mapping(i).number),' ',...
		sprintf(fs,mapping(i).short_name),'  ',mapping(i).full_name]);
	end
end	

if ~isempty(attribute)
	fprintf(fid,'\nATTRIBUTE : \n index number           short_name    full_name\n',[]);
	for i=1:length(attribute)
		fprintf(fid,'%s \n',[sprintf(ff,i),' ',sprintf(ff,attribute(i).number),' ',...
		sprintf(fs,attribute(i).short_name),'  ',attribute(i).full_name]);
	end
end	

if ~isempty(variable)
	fprintf(fid,'\nVARIABLE : \n index number           short_name    full_name\n',[]);
	for i=1:length(variable)
		fprintf(fid,'%s \n',[sprintf(ff,i),' ',sprintf(ff,variable(i).number),' ',...
		sprintf(fs,variable(i).short_name),'  ',variable(i).full_name]);
	end
end	

if ~isempty(belief)
	fprintf(fid,'\nBELIEF : \n index number nb_pot           short_name                         full_name                           origin                           computed\n',[]);
	for i=1:length(belief)
		v = belief(i).origin;
		org = [' '];
		for j = 1:size(v,1)
			org = [org,num2str(v(j,1)),'.',num2str(v(j,2)),' '];
		end
		fprintf(fid,'%s \n',[sprintf(ff,i),' ',sprintf(ff,belief(i).number),' ',...
		sprintf(ff,length(belief(i).bp)),' ',...
		sprintf(fs,belief(i).short_name),'  ',sprintf('%30s  ',belief(i).full_name),'  ',...
		sprintf('%30s  ',org),'  ',sprintf('%30s  ',belief(i).computed)]);
	end
end	

