function  wake_up_button_help(Wdw_Cmd_handle,hd_buttons,index_set_but)
% in the menu help, I can change the help level hoping to get the button help on
% I must first create the figure where they are displayed 
% if the help level was not 2.

% Wdw_Cmd_handle	= the figure wherfe are all the buttons on one or several panles
% hd_buttons{i}(j)	= the handle of button j in panel i
% index_set_but(i)	= the index for texts attached to buttons of panel i

% called from 
%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global flags   gui_position   width_long_text_help_window
% a set of global used only for callback, clear when button clicked
global  button_num_where_pointer  long_text_help   position_figure_for_text  
global  pos_button_in_pixels    hd_lg_tx_fig  top_position_for_text   help_level

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	
%
% display of long help texts
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	

button_num_where_pointer = 0;

% nbr of panels
nbr_panels = size(hd_buttons,2);

position_figure_for_text = [2*gui_position(1,1) 1.1*gui_position(2,1) .9*gui_position(3:4,1)'];

% creating the long text figure
hd_lg_tx_fig = figure(...
'Userdata','button_long_helps',...
'visible','off');
set(gcf,'Position',position_figure_for_text);
top_position_for_text = .99;

% writing its title except if in comments window as already quite small
title_lg_tx = 'Button attached Help';

hd_title_lg_tx = uicontrol('Parent', hd_lg_tx_fig,...
'Style','Text',...
'Position', [.005 .945 .99 .05],...
'String',title_lg_tx,...
'Userdata','button_long_helps',...
'ForegroundColor','blue',...
'visible','off',...
'HorizontalAlignment','center',...
'FontSize',14);
top_position_for_text = .93;
% ordering that pointer position must be followed.
% call abck is get_button_under_pointer		

pos_button_in_pixels_mem = []; % used to temporary storing the button positios
imem = 0;
long_text_help_mem = [];

for i_panel = 1:nbr_panels	
	long_text_help = [];
	pos_button_in_pixels = [];
	
	% getting the buttons positions in pixel and their help texts
	[long_text_help, pos_button_in_pixels] = get_help_text_for_set_buttons(Wdw_Cmd_handle, ...
	[hd_buttons{i_panel}],index_set_but(i_panel));	
	
	pos_button_in_pixels_mem = [pos_button_in_pixels_mem pos_button_in_pixels];
	for i = 1: size(long_text_help,1) 
		imem = imem + 1;
		kmax = str2num(long_text_help{i,1});
		for j = 1:kmax
			long_text_help_mem{imem,j} = long_text_help{i,j};
		end
	end
end % i_panel

pos_button_in_pixels = pos_button_in_pixels_mem;
long_text_help = long_text_help_mem;

set(Wdw_Cmd_handle,'WindowButtonMotionFcn','get_text_for_button_pointer;')	
	




