function f = arc_circle(center,radius, limits, step)
% drawing a circle with center = center and radius = radius 
% fram angle to angle as in limits

% center = [x,y] in figure units
% radius is non negative, in figure units
% limits = [from, to] in angle 0 to 360 . 
% O is rightward, 90 is upward, 180 is leftward...

% f is 2xn matrix the [x y]' of successive points

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


% steps is 1
if nargin <= 3
	step = 1;
end

if nargin == 2
	limits = [0,360];
end

cpi = pi/180;
f = [];
for angle = limits(1):step:limits(2)
	f = [f [center' + radius*[cos(cpi*angle) ; sin(cpi*angle)]]];
end

	
	
