function [choice, hd_buttons] = row_buttons(text,hd_figure,posLL_row)
% putting a row of buttons at location starting at posLL_row 
% in figure hd_firgure
% it takes monopole of the uiwait

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


% example posLL_row = [.995 - bw    .005] for bottom right 
global button_size

posfig = get(hd_figure,'position');
bw = button_size(1)/posfig(3);
bh = button_size(2)/posfig(4);

nbr_but = length(text);
beg = posLL_row(1);

for i = 1:nbr_but
	pos(1:4) = [beg posLL_row(2) bw  bh];
	clb = ['set(gco,''userdata'',''',num2str(i),'''),uiresume;'];
	hd_buttons(i) = uicontrol(hd_figure,...
	'style','pushbutton',...
	'BackgroundColor',[1 0 0],...
	'String',text{i},...
	'position',pos,...
	'userdata','0',...
	'callback',clb);	
	beg = beg + bw + .01;
end

choice = 0;
while choice == 0
	figure(hd_figure);
	uiwait(hd_figure);
	dong	
	for i = 1:nbr_but
		choicemem = str2num(get(hd_buttons(i),'userdata'));
		if choicemem > 0
			choice = choicemem;
		end	
	end
end
