function  floating_text(position,list_text_index)
% display a figure like the Root_window, but located at position and resizable

% when selecting tje quit button, the figure is cancelled
% highly temporary, but can be moved around and resize it

% position = pixels
% list_text_index : list of indexes for stored_text

%
%   Version : May 1, 2004.
%   Copyright (c) 2004 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global gui_position  stored_text   button_size

hd_fig = figure('name','Resizable_Window',...
'units','pixels',...
'position',position,...
'resize','on',...
'userdata','TBM_Figure');

set(hd_fig,'units','normalized');

head_text = {'TEXT WINDOW','This window can be moved around and resized',...
'You stay in this window till you close it by hitting the red button at bottom.'};
hd_head = uicontrol('position',[.005 .90 .99 .10],...
'string',head_text,...
'style','text');


jk=0;
for k = list_text_index
	for i = 1:length(stored_text{k})
		jk=jk+1;
		text{jk} = stored_text{k}{i};
	end;
	jk=jk+1;
	text{jk} = ' ';
end

text_pos = [.005 .075 .99 .825];
help_text_handles(1) = display_scrolling_text(hd_fig,text_pos,text);

% the red button
height_but= .05 ; %min(button_size(2)/position(4),.99)  ; % .05; 
width_but = .15 ; % min(button_size(1)/position(3),.99)  ; 

posit(1) = .5 - width_but/2;
posit(2) = .005;
posit(3) = width_but;
posit(4) = height_but;

help_text_handles(2) = uicontrol(hd_fig(1),...
'Style','pushbutton',...
'Position', posit,...
'String','Close',...
'BackgroundColor',[1 0 0],...
'Callback','uiresume');

uiwait(hd_fig); % you MUST hit    Close    to go on
delete(hd_fig)
