function [Text_Wrapped ,height_text] = height_of_text(text,width,figure_handle,fontname,fontsize)
% getting the wrapped text and 
% computing the height required to display the text after wrapping

% not OK to find height of ONE line.
% as it gived more than the needes space, it gives also some spacing around

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%



% fake ui_positions only to compute text height
position = [.1 .1 width .5];
htext = uicontrol('Parent',figure_handle, ...
'Position',position,...
'Style','text');

if ~isempty(fontname)
	set(htext,'FontName',fontname);
end
if ~isempty(fontsize)
	set(htext,'FontSize',fontsize);
end 
		
	[Text_Wrapped , posit]  = protected_textwrap(htext,text);
	height_text = 	posit(4); % here I know real text height
	delete(htext)
	
