function command_window(option)
% put Matlab Command Window in front (option = on or show) 
% or behind (option = off or hide)

%
%   Version : Apr 15, 03.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

switch option
case {'on','show'}
	hd = findobj('userdata','TBM_Figure');	
	for i = 1:length(hd)
		if ishandle(hd(i))
			set(hd(i),'visible','off');
		end
	end	
case {'off','hide'}
	hd = findobj('userdata','TBM_Figure');
	for i = 1:length(hd)
		if ishandle(hd(i))
			set(hd(i),'visible','on');
		end
	end		
end	
