function crash_closing(fct)
% when crash, I close all windows and print lasterr

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


% global root_file_name   file_name_begin   save_path     
global frame structure mapping attribute variable belief pathname2TBMLABvers

set(0,'DefaultFigureCloseRequestFcn','closereq');

button = questdlg({'Close = every TBMLAB windows are closed.',...
'SaveCl = Save data in Crash_Saved_Data, Close TBMLAB Windows',...
'SaveK = Save data in Crash_Saved_Data; Keep TBMLAB Windows'},...
'Sorry, TBMLAB Crashes.','Close','SaveCl','SaveK','Close');
fprintf(1,'\n',[])
fprintf(1,'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n',[]);
fprintf(1,'XXXXXXXXXXXXXXXXXXXXXXXX      Crash Report      XXXXXXXXXXXXXXXXXXXXXXX\n',[]);
fprintf(1,'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n',[]);
% fprintf(1,'\n',[])
fprintf(1,'Sorry: there was a crash when I was in %s\n',fct)
fprintf(1,'Error nature ===> %s \n',lasterr)
fprintf(1,'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\n',[]);

% report
% size(report)
% 
% [report workspace_index] = dbstack;
% for i = 1:size(report,1)
% 	fprintf(1,'Error in ==> %s \n',report(i).name);
% 	fprintf(1,'On line %g',report(i).line)
% 	dbtype(report(i).name, num2str(report(i).line))	
% end

switch button
case 'Close'
	hd = findobj('type','figure');
	for i = 1:length(hd)
		figure(hd(i));
		closereq
	end	
case 'SaveCl'
	hd = findobj('type','figure');
	for i = 1:length(hd)
		figure(hd(i));
		closereq
	end
	saving_crash
case 'SaveK'
	saving_crash
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function saving_crash
% global root_file_name   file_name_begin   save_path
global frame structure mapping attribute variable belief pathname2TBMLABvers

fn = [pathname2TBMLABvers,filesep,'Crash_Saved_Data.obj.mat'];
save(fn,'frame','structure','mapping','attribute','variable','belief');
