function generate_100_pdf(option)
% used by Test_GBT_pdf.batch.txt
global frame variable belief

fprintf(1,'%s \n',['Enter in generate_100_pdf. Slow. Times ='])
tic

ind_bel = length(belief);
pdf = 'gaussian';
ind_pot_vect = make_empty('potential',ind_bel);

param = [0 10 0 10];
nbr_elements = frame(1).cardinality;

for i = 1:nbr_elements
	
	elem_label{i} = ['t',num2str(i)];
	switch option
	case 'shifted'
		param(1) = param(1) + 5;
		param(3) = param(1);
	case 'random'
		% mean random in 0,100, st_dev random in 1:30
		param(1) = fix(100*rand(1,1));
		param(2) = fix(1 + 29*rand(1,1));
		param(3) = param(1);
		param(4) = param(2);
	end
	ind_pot = ind_pot_vect(i);	
	ind_for = 1;
	belief(ind_bel).bp(ind_pot).form(ind_for).type = 'BetP_pdf';
	belief(ind_bel).bp(ind_pot).form(ind_for).representation = pdf;
	belief(ind_bel).bp(ind_pot).form(ind_for).values = param;
	
	ind_for = make_empty('form',ind_bel,ind_pot,2);
	belief(ind_bel).bp(ind_pot).form(ind_for).type = 'm_from_BetP_pdf';
	belief(ind_bel).bp(ind_pot).form(ind_for).representation = [pdf,'_based'];
	belief(ind_bel).bp(ind_pot).form(ind_for).values = param;
	belief(ind_bel).bp(ind_pot).form(ind_for).focal_sets = [];
end	

ind_var = pin_manipulation('variable','num2ind',belief(ind_bel).conditioning_variable);
ind_fra = pin_manipulation('frame','num2ind',[variable(ind_var).frame]);

frame(ind_fra).elements = strvcat(elem_label);
toc
