function [list_bels_number,list_bels_index] = building_joint_from_condit(list_bels_number)

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

list_bels_index = pin_manipulation('belief','num2ind',list_bels_number);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% create m if absent, NCI
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

create_m_if_absent(list_bels_index)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% transforming the conditonal_beliefs into joint_belief if there are conditional
% done as in GBT/DRC algo, NCI
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for i = 1:length(list_bels_number)
	list_bels_number_new(i) = make_joint_from_condit(list_bels_number(i));
	list_bels_index(i)  = pin_manipulation('belief','num2ind',list_bels_number_new(i));
end
list_bels_number = list_bels_number_new;
list_bels_index = pin_manipulation('belief','num2ind',list_bels_number);
