function expr = replace_not(expr)
% input is an expression and we build a new one where we have replaced the not

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global length_one_focal % B(:,:,jj))

pair = matching_parentheis(expr,'()');

from = findstr(expr,'not') ;
while ~isempty(from)
	beg = from(1);
	% what comes next ( or B         %)
	nextB   = findstr(expr(beg:length(expr)),'B') + beg - 1;
	nextpar = findstr(expr(beg:length(expr)),'(') + beg - 1;%)
	
	if isempty(nextpar)
		nextpar(1) = length(expr+1);
	end	

	if nextB(1) < nextpar(1)
		% we face an B
		before = expr(1:beg-1);
		after  = expr(nextB(1)+length_one_focal:length(expr));
		expr   = strcat(before,' bitcmp{',expr(nextB(1):nextB(1)+length_one_focal-1),',YYY_YYY_YYY_YYYY}',after);		
	else
		% we face an (
		nextparcl = pair(find(pair(:,1)==beg),2);
% % % % % 		nextparcl = findstr(expr(nextpar(1):length(expr)),')') + nextpar(1) - 1;
		before = expr(1:beg-1);	
		if nextparcl < length(expr)
			after = expr(nextparcl+1:length(expr));
		else
			after = ' ';
		end
		expr = strcat(before,' bitcmp{',...
		expr(nextpar(1):nextparcl),',YYY_YYY_YYY_YYYY}',after);		
	end

	from = findstr(expr,'not');
end
