%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% entering the needed belief, bp, forms. I work only on m (and create them when missing)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% real output = 
% proceed = 0 if we cannot proceed, = 1 if we may proceed
% matrix  [index_belief' bp_index' form_index']

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global flags

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% selecting the belief objects, at least 2, (not necessarily on same doamin)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
bel_modif = 0;
proceed = 1; % we may proceed

if flags ~= 999   % it means I am not in the bartch mode process
	handle_list_belief = listing_existing('belief', gui_position(:,6), calculator_handle,[]);	
	selected_item = [];	
	while length(selected_item) < 2
		text = strcat('Select in BELIEF list those beliefs you want to combine. At least TWO. Then Done');
		set(handle_list_belief(2),'Enable','on','max',1000,'min',2,'Value',[]);	
%		[choice19] = text_with_n_buttons(calculator_handle, text,{'Done','Cancel'} ,gui_position(:,13));
		[choice19] = text_with_n_buttons(calculator_handle, text,{'Done','Cancel'} ,[1]);
		% get the position for the requested belief
		selected_item = get(handle_list_belief(2),'Value'); % position
		if choice19 == 2 % I cancel	
			proceed = 0;
			delete(handle_list_belief)
			return
		end	
	end
	% the numbers of the belief object you want to combine			
	num_belief   = pin_manipulation('belief','pos2num',selected_item);	
	delete(handle_list_belief);
end

% I did not concel I look for repetitons and presence of m
index_belief = pin_manipulation('belief','num2ind',num_belief);
nbr_m = length(index_belief);

% get the i,j in bp(i).form(j) with m
iik = 0;
del_list =[];
for ii = 1:nbr_m
	[bp_index_ii, form_index_ii, ok] = get_my_bp(index_belief(ii),calculator_handle);
	if ok == 9
		iik = iik + 1;
		bp_index(iik) =  bp_index_ii;
		form_index(iik) = form_index_ii;
	else
		% eliminating those belief with no m function, ok_m(ii) = 9 is the only OK solution.
		del_list = [del_list ii];
	end
end
if length(del_list) 
	index_belief(del_list) = [];
	bel_modif = 1;
end

% eliminating duplicate beliefs 
[sort_list, inx, jnx] = unique([index_belief' bp_index' form_index'],'rows');

if length(inx) ~= length(bp_index)
	% we had duplicates
	hdw = warndlg('You asked twice the same belief potential. I use only one of them.');
	uiwait(hdw)		
	index_belief = sort_list(:,1)';
	bp_index 	 = sort_list(:,2)';
	form_index 	 = sort_list(:,3)';	
	bel_modif = 1;
end

num_belief = pin_manipulation('belief','ind2num',index_belief);			
nbr_m = length(bp_index);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% unique belief objects wit a m have been selected
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if  bel_modif  % I had to delete some belief object, duplicate or no m
	text = 'I had to delete some of the requested beliefs. Do you want to proceed with the combination?';		
%	choice_stop = text_with_n_buttons(calculator_handle, text,{'No','Yes'} ,gui_position(:,13));	
	choice_stop = text_with_n_buttons(calculator_handle, text,{'No','Yes'} ,[1]);	
	if choice_stop == 1
		proceed = 0; % i will skip future comput as no data
	end
end

if nbr_m <= 1
	% no m available or only one, computation cancelled!!!!
	hdw = warndlg('There are not even 2 beliefs to combine. I skip.')
	uiwait(hdw);
	proceed = 0;
	expr_ok = 0; % i will skip future comput as no data	
	proceed = 0;
end


