function run_clear_data
% look at every objecvt and delete those that may be deleted
% done here only for belief object as we have a disposable field

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global belief pin_belief

[index_fig, hd_fig] = handling_all_figures('put_in_front',{'General Window'});
text = 'I will delete every belief object which are no more necessary. Confirm.';
choice = text_with_n_buttons(hd_fig(1), text, {'OK','Cancel'}, [1]);

if choice == 1
	if ~isempty(belief)
		index = find([belief(:).disposable] == 1);
		belief(index) = [];
		% by doing so index of belief have changed so pin_manipulation excecuted
		pin_belief = pin_manipulation('belief','all',[]);
	end
end
