function defining_computed_for_bel
% produce the full name and short name for a belief built by Calculator
% computed is the real detail of what has been computed
% it listed all pair belief bp used and how they are handlied

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


% is is detailled here in order to build the other objects

% full name. Example : 

% dc(12,15,19)mg(3,71) = distinct conjunctive combination of 
% belief numbers 12, 15 and 19, results marginalize on product space of variables with numbers 2 and 71

% notation: very short, full, short
% dc = distinct conjunction 		= dist_conj
% dd = distinct disjunction			= dist_disj
% dm = distinct mixt combination 	= dist_mixt
% cc = cautious conjunction 		= caut_conj
% cd = cautious disjunction			= caut_disj
% mg = marginalize 					= marg			= downarrow
% cx = cylindrical extension 		= cylx			= uparrow
% bx = ballooniong extension 		= balx
% ct = conditioning 				= cond
% rf = refinement					= refn
% cr = coarsening					= coar
% tr = transformation				= trfr			= 12 trfr 15 means we start with abelief on var 15 and build a new one on var 12 which is 15 transformed

% evicential corpus uses short and list belief numbers
% full name uses very short similar to Shenoy notation
% short name mustbe VERY short, so use Bxxx with xxx the belief number, 
%     later user can change it with the object editors

% origin = list of   belief_number.bp_numpber   used for the computation of the present belief (3.24 5.12)
% computed  tells how computation was perfomred

% used_bel: 2xN with the numbers of the bleief and bp objects
% used_bel(1,i) = belief number
% used_bel(2,i) = bp index in the used_bel(1,i) (usually 1)

% building the names, step 1.

% getting the information needed for building the names , ec, and origin


% empty computed means belief obtained from outside TBMLAB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% origin
% get the origin, thus the list of the bleif bp pairs encountered in computed
% if done could be stored in belief().origin, but not very usefull
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% ec
% computed tell everything, seems also useless
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% we need an option when looking at belief that translated computed into a nice long explanation 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




