function detail_on_belief(belief)
% print on CmdWindow the details of the fields of every belief objecct

for i = 1:length(belief)
	fprintf(1,'\nBelief      belief(i) : i =%3i\n',i)
	belief(i)
	for j = 1:length(belief(i).bp)
		fprintf(1,'\nPotential    belief(i).bp(j) : i =%3i, j =%3i\n',[i j])
		belief(i).bp(j)
		for k = 1:length(belief(i).bp(j).form)
			ii = pin_manipulation('belief','num2ind',belief(i).number);
			fprintf(1,'\nForm : focal sets in octal  belief(i).bp(j).form(k) : i =%3i, j =%3i, k =%3i\n',[ii j k])
			belief(i).bp(j).form(k)
			switch belief(i).bp(j).form(k).representation
			case 'selected'
				for ig = 1:length(belief(i).bp(j).form(k).values)
					fprintf(1,'%8.4f   %18o \n',...
					[belief(i).bp(j).form(k).values(ig)    belief(i).bp(j).form(k).focal_sets(ig,:)]);
				end
			case 'ordered'
				for ig = 1:length(belief(i).bp(j).form(k).values)
					fprintf(1,'%8.4f   %18o \n',...
					[belief(i).bp(j).form(k).values(ig),ig-1]);
				end
			end
		end
	end
end
