function cont = is_var_cont(num_var)
% determine if a set of variable() num var contains a continuous frame
% cont = 1 if there is at least one continuous var, else 0

global frame variable

cont = 0;
for i = 1:length(num_var)
	ind_var = pin_manipulation('variable','num2ind',num_var(i));
	ind_fra = pin_manipulation('frame','num2ind',variable(ind_var).frame);
	if strcmp(frame(ind_fra).type,'Continuous')
		cont = 1;
	end
end	
