function pack_index
% eliminating all objects with a vacuous number and packing the index
% hence position = index (p = i in pin)
% then rebuilding pin tables

%
%   Version : Dec12,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global frame structure mapping attribute variable belief
global pin_frame pin_structure pin_attribute  pin_variable 
global pin_mapping pin_belief 

to_delete = [];
for i = 1:length(frame)
	if isempty(frame(i).number)
		to_delete = [to_delete i];
	end
end
if length(to_delete)
	frame(to_delete) = [];
end

to_delete = [];
for i = 1:length(structure)
	if isempty(structure(i).number)
		to_delete = [to_delete i];
	end
end
if length(to_delete)
	structure(to_delete) = [];
end

to_delete = [];
for i = 1:length(mapping)
	if isempty(mapping(i).number)
		to_delete = [to_delete i];
	end
end
if length(to_delete)
	mapping(to_delete) = [];
end

to_delete = [];
for i = 1:length(attribute)
	if isempty(attribute(i).number)
		to_delete = [to_delete i];
	end
end
if length(to_delete)
	attribute(to_delete) = [];
end

to_delete = [];
for i = 1:length(variable)
	if isempty(variable(i).number)
		to_delete = [to_delete i];
	end
end
if length(to_delete)
	variable(to_delete) = [];
end

to_delete = [];
for i = 1:length(belief)
	if isempty(belief(i).number)
		to_delete = [to_delete i];
	end
end
if length(to_delete)
	belief(to_delete) = [];
end
get_all_pin_tables
