function out = long_bit2num(bit,card)
% build a long number from the whole bit vector
% card is total number of bits
% works for several bit vectors

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global nbr_bit_per_word 

% when asking it for empty list, get bits = empty
out = [];

[nw, nr] =  words_for_set(card);
for k = 1:size(bit,1)
	to = 0;
	for i = 1:nw+1
		from = to+1;
		to = min(to+nbr_bit_per_word, card);
		out(k,i) = bit2num([bit(k,from:to)]);
	end
end
