function [word_index, bit_index] = position_one_bit(one_bit)
% one_bit is a number between 1 and cardinal
% word_index	= index where bit located from 1 to .... 
% bit_index		= index of the bit on in that word
% example when nbr_bit_per_word = 50
% bit 35 produces [1, 35]
% bit 74 produces [2, 24]

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global nbr_bit_per_word

word_index = floor(one_bit/nbr_bit_per_word);
bit_index = one_bit - word_index*nbr_bit_per_word;
word_index = word_index + 1;
