function [which] = sets_with_n_elements(n,n_elements)
% find the sets 0 to ... of those subsets with n elements 
% in W with _n_elements

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


% to avois stupidity: n must be in [0,n_elements]
if or(n < 0 , n > n_elements)
	disp('request not acceptable: n must be in [0,n_elements]')
	which = [];
else
	
list = [0:2^n_elements-1];
for i = list
nbr_ones(i+1) = sum(bitget(i,[1:n_elements]));
end
which = find(nbr_ones == n) -1;
end
