function list_menus_in_help_window()

% root_menu, text_menu, callback

root       File 
root       Edit 
root       View 
root       Tools 
root       TBM Help 

File       Open 			handling_files('open')		
File       Save 			handling_files('save')		
File       Print NA 		run_short_cuts(100)
File       Quit 			run_quit_init_all_objects

Edit       Variables 		life_menu(''Save'');life_menu(''Save As'');object_editor
Edit       Short Cuts 
Edit       Natural frames 	Natural frames',life_menu(''Save'');life_menu(''Save As'');run_short_cuts(4)
Edit       Logical propositions 	life_menu(''Save'');life_menu(''Save As'');run_short_cuts(5)
Edit       Mapping NA 		life_menu(''Save'');life_menu(''Save As'');run_mapping
Edit       Belief 			life_menu(''Save'');life_menu(''Save As'');run_belief(''menu'')
Edit       Data Verification 	verifying_object_data
Edit       Clear unused beliefs run_clear_data

View       All objects 
View       Objects on Cmd_Window 	display_usefull_object_data(1)
View       Objects in file 			display_usefull_object_data(2)
View       All object fields 
View       Fields on Cmd_Window 	run_show_all(1)
View       Fields in file NA 		run_show_all(2)'
View       One object fields 
View       Field on Cmd_Window 		run_print_one_object(1)
View       Field in file NA 		run_print_one_object(2)
View       Object Road Map 			road_map_objects
View       Hide Windows 			hide_figures

Tools       Run a .m fct 			run_short_cuts(3)
Tools       Valuation Base Systems	run_VBS(''from_Tools_Menu'') 
Tools       Graphical Method 		run_plot_network
Tools       Distinct Combination 
Tools       Distinct AND 			run_distinct_combi(''and'')
Tools       Distinct OR 			run_distinct_combi(''or'')
Tools       Distinct mixed 			run_distinct_combi(''mixed'')
Tools       Cautious Combination 	run_cautious_conj_combi	
Tools       GBT 
Tools       GBT: X/T both discrete 	run_gbt
Tools       GBT: X Cont-Int, T Discr run_gbt_cont_int
Tools       TBM Tabulator 			clbfmttab(101);
Tools       New Forms/Frames 
Tools       Get New Forms 			run_transform_bp
Tools       Change Frame 			frame_change
Tools       Conditioning NA 		
Tools       Ballooning Ext. NA 
Tools       Approximate Distinct Combination NA run_approx_combi
Tools       Compare 2 belief potentials NA 		run_comparing2bp
Tools       EvClus: dissimil -> m 				life_menu(''Save'');life_menu(''Save As'');para_evclus
Tools       Preferences 			
Tools       Default 				run_preferences(''default'')
Tools       Open 					run_preferences(''load'')
Tools       Save 					run_preferences(''save'')
Tools       GUI 					run_reset_param(1)
Tools       TBM 					run_reset_param(2)
Tools       Help Level 				run_help_level

Tutorial    Potential Demo 			potential_tabulator
Tutorial    Mobius Transformations 
Tutorial    Mobius Transf Operators	mobius_matrices 
Tutorial    Explaining FMT 			fmt_explaining
Tutorial    Specialization Demo 	specialization_tabulator
Tutorial    GBT Demo 				gbt_demo
Tutorial    Tutorials 				run_tutorials

Help       Menu Actions 	run_menu_help
Help       Object 
Help       Frame 			run_object_help(1)
Help       Structure 		run_object_help(2)
Help       Mapping NA 		run_object_help(3)
Help       Attribute		run_object_help(4) 
Help       Variable			run_object_help(5) 
Help       Belief 			run_object_help(6)
Help       About TBMLAB 	run_about_TBMLAB
Help       Help Texts 		print_all_help
