function test_trnsform_bp(xin,in_form,out_forms)
% small program that list the various forms listed in out_forms from xin in form = inform
% BetP not testable here as ask for variable domain....
% you may ask {'m','b','bel','pl','q','wc','wd','M','Bel','Pl','Q'};
% data must be ordered (all values in xin (row or column, does not patter)

clear global 

global frame structure mapping attribute variable belief
global pin_frame pin_structure pin_attribute pin_variable 
global pin_mapping pin_belief
global max_card_fmt nbr_bit_per_word

nbr_bit_per_word = 50;


% % % % in_form = 'm';
% % % % % xin = [.10 .05 .20 .05 .25 .07 .08 .20]';
% % % % out_fr = {'m','b','b','M','b','b','Bel','bel','pl','wc','wd','q','Q','Pl'};
% % % % rep = 'selected';

% % % % % foset = [ 3 7 0]';
% % % % % xin = [.15 .35 .5];
% % % % % card = 20;


[nr nc] = size(xin);
if nr < nc 
	xin = xin';
end
card = log2(size(xin,1));
rep = 'ordered';
foset = [0:size(xin,1)-1]';

max_card_fmt = 18;
belief(1).number = 1;
belief(1).domain_cardinality = card;
belief(1).bp(1).form(1).type = in_form;
belief(1).bp(1).form(1).representation = rep;
belief(1).bp(1).form(1).focal_sets = foset;
belief(1).bp(1).form(1).values = xin; 
belief(1).bp(1).form(1).log_expr = {};
pin_belief = [1 1 1];

[computed_forms,uncomputed_forms, error_mode] = transform_bp(1,1,out_forms);
% report
fprintf(1,'\n',[]);
fprintf(1,'***********************************************************\n',[]);
fprintf(1,'***********************************************************\n',[]);
fprintf(1,'Given one type of potential, compute requested types \n\n',[]);

if ~isempty(error_mode{1})
	fprintf(1,'Error report :\n',[])
	fprintf(1,'%s\n',error_mode{:})
end
fprintf(1,'Computed   types :',[])
fprintf(1,' %s',computed_forms{:})
fprintf(1,'\nUncomputed types :',[]);
fprintf(1,' %s',uncomputed_forms{:})
fprintf(1,'\n',[]);
fprintf(1,'\n',[]);


% display all forms but only for card < 8 (else think about list length,>256!!!)
if belief(1).domain_cardinality <= 8
	card =  belief(1).domain_cardinality ;
	nbr_lines = pow2(belief(1).domain_cardinality);
	
	nbr_forms = length(belief(1).bp(1).form);
	format = [];
	frmt = [];
	for i = 1:card
		format = [format '%1i'];
		frmt = [frmt ' '];
	end
	format = [format '  '];
	frmt = [frmt '  '];
	frmt(1) = 'S';
	frmt(2) = 'e';
	frmt(3) = 't';
	
	bl{1} = '      ';
	bl{2} = '     ';
	bl{3} = '    ';
	bl{4} = '   ';
	ii = 0;
	for i = 1:nbr_forms
		if strcmp(belief(1).bp(1).form(i).representation,'ordered')
			ii = ii + 1;
			list_forms{ii} = belief(1).bp(1).form(i).type;
			nbr_char = length(list_forms{ii});
			format = [format '  %5.2f'];
			frmt = [frmt bl{nbr_char} '%s'];
		end
	end
	format = [format '\n'];
	frmt = [frmt '\n'];
	fprintf(1,frmt,list_forms{:});
	
	for i = 1:nbr_lines
		vect = fliplr(show_bits_one_set(i-1,card));
		jj = card;
		for j = 1:nbr_forms
			if strcmp(belief(1).bp(1).form(j).representation,'ordered')
				jj = jj + 1;
				vect(jj) = belief(1).bp(1).form(j).values(i);
			end
		end
	
		fprintf(1,format,[vect]);
	end
end		
