function [handle_building_bba,handle_mass] = figure_for_get_bp_m(bp_handle_fig, how,element_list_full,...
var_name_list)

%
%   Version : Aug 14, 03.
%   Copyright (c) 2003 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global frame structure mapping attribute variable belief
global gui_position  
global stored_text 
global flags flag_str
global nbr_bit_per_word
global keyhit  var_continuous_integers
global Which_Courier
global figure_data help_name

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% the mass query area at bottom			
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% ???? I put a KeyPressFcn dans le bp figure so that when hit return, mass accepted (but not belief)
% avoid mouse after entering the mass, key in keyhit
% % % % % % % set(bp_handle_fig,'KeyPressFcn','callback_key_hit;uiresume;')

% bottom frame 
handle_building_bba(1) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.001 .001 .998 .048],...
'Style','Frame');

if length(var_continuous_integers)
	% I need an extra done button for stopping entering focal sets
	handle_mass(7) = uicontrol(...
	'Parent', bp_handle_fig,...
	'Position',[.004 .004 .15 .042],...
	'Style','Pushbutton',...
	'String','FocalSet: Done',...
	'Backgroundcolor','r',...
	'userdata','foset_not_done',...
	'Callback','set(gco,''userdata'',''end_foset'');uiresume',...
	'HorizontalAlignment','center');
end

% mass query area: text
handle_mass(1) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.445 .004 .135 .042],...
'Style','Text',...
'String','bbm for focal set = ',...
'HorizontalAlignment','right');

% mass query area: get new mass
handle_mass(2) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.585 .004 .095 .042],...
'Style','Edit',...
'String','0.',...
'CallBack','callback_CR_edit;uiresume;');

% mass query area: text with cumulated mass
text_total = 'Total allocated masses =';
tt = [text_total,' ','0.0'];
handle_mass(3) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.160 .004 .275 .042],...
'Style','Text',...
'String',tt);

% mass query area: mass done button
pr_ok = 'mass OK';
bba_ok = 'bba OK';
if strcmp(how,'from_BetP')
	pr_ok = 'proba OK';
	bba_ok = 'BetP OK';
	value = 'BetP';
end
if strcmp(how,'from_Pl')
	pr_ok = 'OK';
	bba_ok = 'pl fct OK';
	value = 'pl';
end

% button mass OK
handle_mass(4) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.70 .004 .08 .042],...
'Style','PushButton',...
'String',pr_ok,...
'BackgroundColor',[1 0 0],...
'Callback','set(gco,''UserData'',''mass'');uiresume');

% button bba OK
handle_mass(5) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.80 .004 .08 .042],...
'Style','PushButton',...
'String',bba_ok,...
'BackgroundColor',[1 0 0],...
'Callback','set(gco,''UserData'',''bp'');uiresume');

% button cancel
handle_mass(6) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.90 .004 .08 .042],...
'Style','PushButton',...
'String','Cancel',...
'BackgroundColor',[1 0 0],...
'Callback','set(gco,''UserData'',''cancel'');uiresume');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% title of focal set area (top of window)		
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% list of every worlds in new product space
handle_building_bba(2) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.001 .050 .998 .900],...
'Style','Listbox',...
'HorizontalAlignment','left',...
'FontName',Which_Courier,...
'String',element_list_full,...
'min',0,...
'max',100000,...
'value',[]);			
% using Which_Courier is the trick to get vertical alignment	

% variable name frame
handle_building_bba(3) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.001 .951 .998 .048],...
'Style','Frame');

% variable name
var_name_list = [var_name_list,' ',value];
handle_building_bba(4) = uicontrol(...
'Parent', bp_handle_fig,...
'Position',[.005 .953 .996 .040],...
'Style','Text',...
'HorizontalAlignment','left',...
'FontName',Which_Courier,...
'String',var_name_list);
