function [log_expr,foset,mass,cancel] = get_m_log_one_bbm(ibel,bp_handle_fig,...
sum_masses,log_expr_correct,log_expr,shn_list,frame_list,list_typ_var,ind_var_in_bel,...
hd_logexp,button_operator)
% getting ONE bbm from a logical expressions, no bad expression accepted here
% if bad we don't quit except if we choose cancel 

%
%   Version : Feb 14,03.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global belief

last_log_expr = log_expr; % memory to give it back to ask_logical_expression
mass = 0;
foset = [];

go_on = 1;
while go_on
	
	[log_expr,mass,cancel] = ask_logical_expression_new(ibel,bp_handle_fig,...
	sum_masses,log_expr_correct,last_log_expr,hd_logexp,...
	shn_list,frame_list,list_typ_var,ind_var_in_bel,button_operator);	
	% beware log_expr can still be a bad logical expression
	% cancel = 0 OK (proceed), 1 cancel (save nothnig), 2 quit OK (save stored data)
	% stopping procedure if logical expression empty
	last_log_expr = log_expr;
	
	if cancel ~= 1 
		% OK or quit-stor button
		if length(ddblank(log_expr)) % user said OK with empty expression: refused	
			%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
			%
			% list of worlds and building the logical expression exp as used by eval(exp)
			%
			%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
			% make the textr into a logical expression evalubale by matlab
			[expr] = get_logic_expression(log_expr); 						
			% getting the corresponding focal set		
			[foset, bad_exp] = get_m_log_foset(expr,ibel,ind_var_in_bel, shn_list);
			
			if bad_exp == 0
				go_on = 0;
			end	
		else
			bad_exp = 1;
		end
	else % cancel operation
		go_on = 0;
	end
end % while gon	
