
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% building one index at a time
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% we did not ask for all var, and we proceed for index-values for one case, 
% continuous index accepted here						
skip_me = 0;	% becomes 1 if I say Cancel			
% finishing the variable for the index
for i_index = 1:length(attribute(ind_att).index) % for every index
	if skip_me == 0
		% show the frame used for this index
		index_mane = attribute(ind_att).index(i_index).name;
		ind_fra = pin_manipulation('frame','num2ind',attribute(ind_att).index(i_index).frame);
		pos_fra = pin_manipulation('frame','ind2pos',ind_fra);
		set(hd_list(1,2),'value',pos_fra);
		% not for continuous and Integers
		% showing list of elements of the frame
		if ~strcmp('Continuous',frame(ind_fra).type) & ~strcmp('Integers',frame(ind_fra).type)
			list_elem = [];							
			for i = 1:size(frame(ind_fra).elements,1) 
				list_elem{i} = frame(ind_fra).elements(i,:);
			end	
			pos_list = gui_pos(:,5);
			pos_list(4) = ht_text;
			hd_list_ele = listing_existing('frame_elements',pos_list, hd_full_scr_fig,list_elem);				
			select_list(hd_list_ele,'on','many'); % many so I avoid preselection
			if new_one == 0
				if length(object.index_value) >= i_index
					sel_val = object.index_value(i_index);
				else 
					sel_val = [];
				end
			else
				sel_val = [];
			end
			if ~isempty(sel_val)
				set(hd_list_ele(2),'value',sel_val)
				% i show the element for this index
			end
		
			% index of a variable may not be changed as it kills name etc
			% if really asked for, then delete the variable and build a new one using menus
			if new_one 
				pos_ele = [];
				while length(pos_ele) ~= 1	& skip_me == 0			
					choice_ele = text_with_n_buttons(hd_full_scr_fig,['Select the element for ',attribute(ind_att).index(i_index).name],...
					{'Done','Cancel'},[]);													
					switch choice_ele 
					case 1
						pos_ele = get(hd_list(2,2),'value');
					case 2
						skip_me = 1;
					end
				end		
				if skip_me == 0
					new_index_value = [ new_index_value pos_ele];
				end
			else % not a new one							
				choice_ele = text_with_n_buttons(hd_full_scr_fig,...
				['In the list FRAME_ELEMENTS (at left), the element for index ',attribute(ind_att).index(i_index).name, ...
				' is selected. It may not be changed here. To change it use menu Edit/Delete Variable, then Edit/New Variable.'],...
				{'Go On'},[]);
			end								
			delete(hd_list_ele)
			
		else % the continuous and Integers index
			% All I need is a number between min and max	
			if new_one == 0
				defanswer{1} = num2str(object.index_value(i_index));
			else
				defanswer{1} = frame(ind_fra).min;
			end	
			if new_one
				ok_value = 0;
				while ok_value == 0 & skip_me == 0									
					[answerC,choiceC] = dialog_queries(gcf,['For ',frame(ind_fra).type,' index ',attribute(ind_att).index(i_index).name],...
					{['Index value between ',num2str(frame(ind_fra).min),' and ',num2str(frame(ind_fra).max),' #']}, ...
					defanswer,[.005 .005],'', 2,[],[],[], '');
					if choiceC == 2
						skip_me = 1; % I said cancel											
					else
						valind = str2num(answerC{1});
						if isempty(valind) | valind < frame(ind_fra).min |  valind > frame(ind_fra).max
							hdw = warndlg(['Your request must be a number between min = ',num2str(frame(ind_fra).min),...
							' and max = ',num2str(frame(ind_fra).max),'. Reenter data']);
							uiwait(hdw)
						else
							new_index_value = [ new_index_value valind];
							ok_value = 1;
						end
					end	 % if choiceC == 2
				end % while ok_value == 0 | skip_me == 0	
			else
				choice_ele = text_with_n_buttons(hd_full_scr_fig,...
				['The element for index ',attribute(ind_att).index(i_index).name,' = ',defanswer{1}, ...
				'. It may not be changed here. To change it use menu Edit/Delete Variable, then Edit/New Variable.'],...
				{'Go On'},[]);
			end
		
		end % if ~strcmp('Continuous',frame(ind_fra).type)
	end % if skip_me == 0
end % for i_index = 1:length(attribute(ind_att).index) % for all indexes
if skip_me == 1
	skip_it = 1;
end
