function run_short_cuts(option)
% getting the request and excecuting the short cut options listed in control menus

%
%   Version : Dec 8,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global root_file_name pull_down_menu
global flags  flag_str  stored_text
global screen_size    
global gui_position 
global frame structure mapping attribute variable belief
global pin_frame pin_structure pin_attribute pin_variable 
global pin_mapping pin_belief 
global node pin_node link pin_link histo pin_histo
global memory_file_name

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% a set of action entered from Control Menu
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

switch option
case 3 % we must run .m fct provided by the user
	% all I need is its name and eval
	[index_fig, hd_fig] = handling_all_figures('put_in_front',{'General Window'});
	[fname,choice] = dialog_queries(hd_fig,'Entering data with a .m function. ', {'name of the function'},...
	{''},[0 0],[],2,[],[],[],[]);
	if choice == 1 
		if ~isempty(fname{1});
			eval(fname{1}); 
			% data transfered by the global 
			get_all_pin_tables				
			% when i indeed use it, open is dead
			kill_menu('Open')		
			life_menu('Save')
			life_menu('Save As')
		end
	end
	[index_fig, hd_fig] = handling_all_figures('get_defaults',{''});
	
case 4 % I list many default frames. Choose those you want 
	get_natural_frames; 
	if length(frame)
		% when i indeed use it, open is dead
		kill_menu('Open')
		life_menu('Save')
		life_menu('Save As')
	end
case 5 % get N logical propositions
	[index_fig, hd_fig] = handling_all_figures('put_in_front',{'General Window'});
	getting_propositions;
	if length(frame)
		% when i indeed use it, open is dead
		kill_menu('Open')		
		life_menu('Save')
		life_menu('Save As')
	end
case 6 % print = print report	
	% asking if to be done on Comman d Window or on File
	text = 'Where do you want the Report? Command Window or ASCII file.';
	choice = text_with_n_buttons(gcf, text, {'Screen','File','Cancel'}, [1]);
	switch choice
	case 1 % on command window
		fid = 1; 
		print_report 
	case 2 % on file
		out = handling_files('save_report');
		pathfn = memory_file_name.path;
		fn = memory_file_name.name;
		fid = fopen([pathfn,fn],'at+');
		print_report 
		fclose(fid);
	case 3
		return
	end
end
