% structure case

switch upper(text_line(1:4))
case 'SSHN'
	structure(ind_str).short_name = ddblank(SSHN);
	structure(ind_str).full_name = SSHN;
case 'SFLN'
	structure(ind_str).full_name = SFLN;
case 'SMRF'
	SMRFN = frame(find(strcmp({frame(:).short_name},ddblank(SMRF)))).number;
	if length(SMRFN) ~= 1
		disp('structure asks for an inexisting or ambiguous frame')
		ok = 0;
	end	
	structure(ind_str).most_refined = SMRFN;		
case 'SSFR'
	out = rd_str_num_shn(SSFR);
	list_num = [];
	for i = 1:length(out)
		new_num = frame(find(strcmp({frame(:).short_name},out{i}))).number;
		if length(new_num) ~= 1
			disp('structure asks for an inexisting or ambiguous frame')
			ok = 0;
		else
			list_num = [list_num  new_num];
		end
	end
	structure(ind_str).sub_frames = list_num;
case 'SMAP'
	structure(ind_str).mapping = SMAP;		
otherwise 
	ok = 0;
end	
