% case autious conjunctive combination

switch upper(text_line(1:4))
case 'BSHN'
	belief(ind_bel).short_name = BSHN;
	belief(ind_bel).full_name = BSHN;
case 'BFLN'
	belief(ind_bel).full_name = BFLN;
case 'BELF' % this is what executes the combination operation

	num_belief = [];
	index_belief = [];
	bp_index = [];
	form_index = [];
	
	% do BELF exist
	for i = 1:length(BELF)
		ind_bel1 = find_field('belief','short_name',ddblank(BELF{i}));
		if length(ind_bel1) ~= 1
			hdw = warndlg('In ccr-dcr, the list BELF mentions unknown short_names. Expect a crash.')
			uiwait(hdw)
		else	
			index_belief = [index_belief ind_bel1]; % index involved belief
			ind_last_bel = ind_bel1;
			num_belief = [num_belief   belief(ind_bel1).number]; % the num belief involved
			bp_index = [bp_index  1 ]; % always 1 as never conditional
			ind_for = find(strcmp({belief(ind_bel1).bp(1).form(:).type},'wc'));
			if isempty(ind_for)
				ind_for = make_empty('form',ind_bel1,1);
				[computed_forms,uncomputed_forms, error_mode] = transform_bp(ind_bel1,1,{'wc'});
			end
			form_index = [form_index  ind_for];
		end
	end

	sh_name_mem = belief(ind_bel).short_name;
	lg_name_mem = belief(ind_bel).full_name;
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	run_cautious_conj_combi(index_belief,ind_bel,1)	
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	if ~isempty(sh_name_mem)
		belief(ind_bel).short_name = sh_name_mem;
		belief(ind_bel).full_name = lg_name_mem;
	end		
end

