function init_stored_texts 
% set of texts that can be dispayed as text in uimenu 
% and containing instruction,s helps, etc...
% always click on OK when you waqnt to continue

% the texts to be stored as 
% text{i}{j} = 'tttt'
% text{i} = {'tttt'} (as if j=1:1) 
% text = {{'rrr'}} {as if i=1:1,j=1:1} 

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global stored_text pathname2TBMLABvers  help_label

% welcome page
stored_text{1}{1} = 'TBMLAB';

i = 2;kk = 0;
kk = kk+1;stored_text{i}{kk} = ' ';
% kk = kk+1;stored_text{i}{kk} = sprintf('\s',['TBMLAB : a DEMONSTRATOR for the TBM']); DOES NOT WORK
kk = kk+1;stored_text{i}{kk} = '       TBMLAB : a DEMONSTRATOR for the TBM';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'Developped by Philippe Smets and Thierry Denoeux.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'Acknowledgements: Thanks for the help of Raytheon, Prakash Shenoy, Pat G. Cappelaere, Ha Duong Minh, Christophe Marsala, Pierre-Henri Wuillemin, Francois Delmotte.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'This library is free software distributed'; 
kk = kk+1;stored_text{i}{kk} = 'under the terms of the Copyright notice included with it.';
kk = kk+1;stored_text{i}{kk} = 'It can be used freely but under user full responsability.';
kk = kk+1;stored_text{i}{kk} = 'It may not be sold.';
kk = kk+1;stored_text{i}{kk} = 'It may not be modfied without the author authorization.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'Programs were written by Philippe Smets, except those in';
kk = kk+1;stored_text{i}{kk} = 'the VBS1005 folder written by Phan Giang,'; 
kk = kk+1;stored_text{i}{kk} = 'the EvClus folder written by T. Denoeux and M. Masson.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'Adresses.';
kk = kk+1;stored_text{i}{kk} = '      psmets@ulb.ac.be';
kk = kk+1;stored_text{i}{kk} = '      tdenoeux@hds.utc.fr';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'If you are a new user,';
kk = kk+1;stored_text{i}{kk} = '    select menu Tools/Preference/Help Level';
kk = kk+1;stored_text{i}{kk} = '    select Max when asked, then proceed with the menus. ';
kk = kk+1;stored_text{i}{kk} = 'else';
kk = kk+1;stored_text{i}{kk} = '    proceed with the menus. ';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'For MS-Windows, if no answer with left click, try right click.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'If your system is set so that the selected window is the one under your pointer, move the pointer above the Root Window to get the menus.';
kk = kk+1;stored_text{i}{kk} = ' ';

% I add the copyright + now version level
pathfn = fullfile(pathname2TBMLABvers,'Documents','Copyright_Notice.txt');
fid = fopen(pathfn,'rt');

% I look for data begining
go_on = 1;
while go_on
	text_line = fgetl(fid); % Read line from file, discard newline character
	if ~isempty(findstr('NOTICE BEGIN',text_line))
		go_on = 0;
	end
end

go_on = 1;
while go_on
	text_line = fgetl(fid);
	% Read line from file, discard newline character
	if isempty(text_line)
		kk = kk+1;stored_text{2}{kk} = ' ';
	else
		if ~isempty(findstr('NOTICE END',text_line))
			% we encounter the END of useful data, remainder technical for text editor, we quit
			go_on = 0;
			stored_text{2}{kk} = [];
		else
			% for mysterious reason Mac put ascii 92 = \ as last character of a line XXXX
			if strcmp(text_line(length(text_line)),'\')
				text_line(length(text_line)) = [];
			end
			kk = kk+1;stored_text{2}{kk} = text_line;
		end
	end
end

% details welcome address
i = 3; kk = 0;
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'The TBMLAB is a DEMONSTRATOR for the TBM.';
kk = kk+1;stored_text{i}{kk} = 'The TBM (Transferable Belief Model) is a model to represent quantified beliefs based on belief function theory.';
kk = kk+1;stored_text{i}{kk} = 'Belief functions theory is used in :';    
kk = kk+1;stored_text{i}{kk} = '- the theory of Dempster-Shafer (DS)';
kk = kk+1;stored_text{i}{kk} = '- the transferable belief model of Smets (TBM)';
kk = kk+1;stored_text{i}{kk} = '- the theory of hints of Kohlas and Monney';
kk = kk+1;stored_text{i}{kk} = '- the theory of probablility argumentation system of Haenni, Kohlas and Lehmann (PAS)';
kk = kk+1;stored_text{i}{kk} = 'These models differ in the interpreation they give to the belief functions.';
kk = kk+1;stored_text{i}{kk} = 'The TBMLAB does NOT cover upper and lower or imprecise probability theory.';
kk = kk+1;stored_text{i}{kk} = 'The TBMLAB is NOT a LARGE SIZE SIMULATOR, which would require application specific adaptations.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'HINTS: WHAT YOU SHOULD DO NEXT.' ;
kk = kk+1;stored_text{i}{kk} = 'Red buttons or red text usually indicate it.';
kk = kk+1;stored_text{i}{kk} = 'The rule of thumb is ''Look for the red.''';
kk = kk+1;stored_text{i}{kk} = 'Green means ''Proceed''';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'HINTS: WHAT YOU ARE NOT SUPPOSED TO DO.';
kk = kk+1;stored_text{i}{kk} = 'Resizing TBMLAB windows: made impossible. You can move them around (a bad idea).';
kk = kk+1;stored_text{i}{kk} = 'If TBMLAB windows are hidden by other windows, move them away and click on the TBMLAB windows you want.';
kk = kk+1;stored_text{i}{kk} = 'Closing a TBMLAB window during TBMLAB run: made impossible as TBMLAB would crash.'; 
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'HELP LEVEL';
kk = kk+1;stored_text{i}{kk} = 'User can decide the amount of help to be displayed. See pull-down menu Control';
kk = kk+1;stored_text{i}{kk} = '   - Minimal : no help';
kk = kk+1;stored_text{i}{kk} = '   - Intermediate : the helps in the Root Window';
kk = kk+1;stored_text{i}{kk} = '   - Maximal : the helps attached to the buttons (default)';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'HINTS: FOR pull-down MENUS :';
kk = kk+1;stored_text{i}{kk} = 'Under Window : select by right-click';
kk = kk+1;stored_text{i}{kk} = 'Under Mac : select by click';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'HINTS: When program is STUCKED, Ctrl-C usualy brings you back to MATLAB Command Window.';
kk = kk+1;stored_text{i}{kk} = 'The window close buttons are normaly desactivated. To close the windows, type the instruction ''close all force'' in MATLAB Command Window.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'WHAT TO DO NOW.';
kk = kk+1;stored_text{i}{kk} = 'A belief is always defined on a (set of) variable(s), so you must build variables.';
kk = kk+1;stored_text{i}{kk} = 'To build a variable, you can proceed in a systematic way. You must build the next objects by calling Edit/Variable:';
kk = kk+1;stored_text{i}{kk} = '-  frame : a set of possible values,';
kk = kk+1;stored_text{i}{kk} = '-  structure : a set of frames, expressing their interrelation (mapping),';
kk = kk+1;stored_text{i}{kk} = '-  attribute : a structure and indexes,'; 
kk = kk+1;stored_text{i}{kk} = '-  variable : an attribute, a frame and the instanciation of the attribute indexes.';
kk = kk+1;stored_text{i}{kk} = 'You can also use short cuts Natural frames, Logical propositions located in Edit/Short Cuts menu.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'LEAVING A TASK.';
kk = kk+1;stored_text{i}{kk} = 'You must leave each task using its official quit option (loated in File menu and/or on a button).'; 
kk = kk+1;stored_text{i}{kk} = 'To avoid that you click on a new pull-down menu (details below) before you have left the last action, pull-down menus are disabled when forbidden.';
kk = kk+1;stored_text{i}{kk} = 'They are enabled only when you leave the task through its official exit.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'WINDOWS.';
kk = kk+1;stored_text{i}{kk} = 'Usually, you see two windows on the screen. They are denoted Root Window (at left) and General Window (at right).';
kk = kk+1;stored_text{i}{kk} = 'Root Window displays Helps, General Window displays queries and results.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'DEMOS';
kk = kk+1;stored_text{i}{kk} = 'For demos, go to the Demo section in the user guide.';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'CORRECTING ERRORS';
kk = kk+1;stored_text{i}{kk} = 'When entering data for an object, if you mistype an answer and the answer field is still visible, just retype the correct answer.';
kk = kk+1;stored_text{i}{kk} = 'When the field is gone, just proceed with the other queries, and later on go back to the object editor and use edit one.';
kk = kk+1;stored_text{i}{kk} = 'You will see again what you had typed, and when reaching your erroneous data, retype it.';
kk = kk+1;stored_text{i}{kk} = 'In fact ''edit''  and ''new'' are almost identical functions, ';
kk = kk+1;stored_text{i}{kk} = 'the difference being that the default answers are those of the exisitng object (edit) or those from a default object (new).';
kk = kk+1;stored_text{i}{kk} = ' ';
kk = kk+1;stored_text{i}{kk} = 'WRONG TYPING';
kk = kk+1;stored_text{i}{kk} = 'If you type on keyboard when cursor is not in the appropriate box, MATLAB brings you in the MATLAB Command Window.'; 
kk = kk+1;stored_text{i}{kk} = 'No problem, just click on the windows hidden by the MATLAB Command Window, put pointer at correct place, click and type your answer.';

% detail on menu actions
i=5;k=0;
k=k+1;stored_text{i}{k} = 'XXXXXX   FILE   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX';		
k=k+1;stored_text{i}{k} = 'Open                         get data from files (binary file or batch mode).';
k=k+1;stored_text{i}{k} = 'Save                         all objects saved on files.';
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'Print Report                 done on a file';
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'Quit                         the official way out of TBMLAB.';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'XXXXXX   EDIT   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX';		
k=k+1;stored_text{i}{k} = 'Variable                     the editor for the frame, structure, attribute and variable objects.';
k=k+1;stored_text{i}{k} = 'Short Cuts                   short cut method to create...';
k=k+1;stored_text{i}{k} = '   Natural frames            some precooked frames';
k=k+1;stored_text{i}{k} = '   Logical propositions      variables that are logical propositions';
k=k+1;stored_text{i}{k} = 'Mapping                      the mapping object editor.';
k=k+1;stored_text{i}{k} = 'Belief                       the belief object editor.';
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'Data Verification            check procedure.';
k=k+1;stored_text{i}{k} = 'Clear unused beliefs         to get memory back.';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'XXXXXX   VIEW   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX';		
k=k+1;stored_text{i}{k} = 'All objects                  useful data on MATLAB Command Window or file.';
k=k+1;stored_text{i}{k} = 'All object fields            on MATLAB Command Window or file.';
k=k+1;stored_text{i}{k} = 'One object fields            on MATLAB Command Window or file.';
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'Object Road Map              a tree with every belief and its children.';
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'Hide Windows                 all TBMLAB windows are hidden';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'XXXXXX   TOOLS  XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX';		
k=k+1;stored_text{i}{k} = 'Run a .m fct                 run a function written by user.';
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'Valuation Base Systems       Shenoy algorithm to propagate beliefs.';
k=k+1;stored_text{i}{k} = 'Graphical Method             running evidential network (EVN).';
k=k+1;stored_text{i}{k} = 'Distinct Combination         brute force combination.';
k=k+1;stored_text{i}{k} = 'Cautious Combination         beliefs from correlated sources.';
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'GBT                          applying the Generalized Bayesian Theorem';
k=k+1;stored_text{i}{k} = '   GBT: X/T both disrete     both variables X and T are discrete';
k=k+1;stored_text{i}{k} = '   GBT: X Cont-Int, T dicr   domain variable X Continuous/Integers, conditioning T discrete';
k=k+1;stored_text{i}{k} = 'TBM Tabulator                a tabulator for computing potentials and their combination';
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'New Forms/FRames             transform forms between themselves.';
k=k+1;stored_text{i}{k} = 'Approx. Distinct Combi.      approximate conj. combination.';
k=k+1;stored_text{i}{k} = 'Compare 2 belief potentials  check bp computed by 2 methods equal.';	
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'EvClus: dissimil -> m       generating hidden bba''s from a dissimilarity matrix.';
k=k+1;stored_text{i}{k} = '------------------------------------------------------------------------';		
k=k+1;stored_text{i}{k} = 'Preferences                  user''s preferences.';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'XXXXXX   TUTORIALS  XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX';	
k=k+1;stored_text{i}{k} = 'Mobius Transformations       the trabnsformation behind all forms for one potential.';
k=k+1;stored_text{i}{k} = '   Potential Demo            small numerical demo on potentials';
k=k+1;stored_text{i}{k} = '   Mobius Transf Operators   the matrices that link the transforms';
k=k+1;stored_text{i}{k} = '   Explaining FMT            a numerical dema on the Fast Mobius Transform';
k=k+1;stored_text{i}{k} = '   Specialization Demo       a numerical demo on the specialization concept';
k=k+1;stored_text{i}{k} = 'GBT Demo                     about the Generalized Bayesian Theorem';
k=k+1;stored_text{i}{k} = '   GBT Demo                  a numerical demo of the Generalized Bayesian Theorem';
k=k+1;stored_text{i}{k} = 'Lectures                     a set of lectures.';
k=k+1;stored_text{i}{k} = '   Combi_Distinct            about distinct combinations';
k=k+1;stored_text{i}{k} = '   GBT                       about the Generalized Bayesian Theorem';
k=k+1;stored_text{i}{k} = '   Potential                 about the various forms of a potential';
k=k+1;stored_text{i}{k} = 'Application Demo             self contained demos on difficult problems solved by the TBM';
k=k+1;stored_text{i}{k} = '   Classifier Repeated Data  a sensor that repeated itself over and over and has a fading memeory';
k=k+1;stored_text{i}{k} = '   Sensor VarGran LimCap LimKn varying domain, limited communication ccapacity and knowledge';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX';		


% help for objects = ....
i=6;k=0;
k=k+1;stored_text{i}{k} = 'beliefs : defined on frame of discernement = a set of variables.';
k=k+1;stored_text{i}{k} = 'variable = (attribute (age), frame (years), index_values (John)) = ''age of John in years''';
k=k+1;stored_text{i}{k} = 'frame = [0 1 2 ... 120]';
k=k+1;stored_text{i}{k} = 'attribute =  (structure, index_name (person), index_frame) = ''age of person''';
k=k+1;stored_text{i}{k} = '       structure tells what frames could be used';
k=k+1;stored_text{i}{k} = '       index_name tells what are the index domain (uninstanciated)';
k=k+1;stored_text{i}{k} = 'structure = several frames that are domains for same attribute.' ;
k=k+1;stored_text{i}{k} = '    example: integers from 0 to 120 for age in year,' ;
k=k+1;stored_text{i}{k} = '             integers from 0 to 40 for young people age in year';
k=k+1;stored_text{i}{k} = '             binary as in Young Not_Young';
k=k+1;stored_text{i}{k} = '    interelations: provided by mapping' ;
k=k+1;stored_text{i}{k} = 'mapping: mapping between frames';


% frame helps
i=7;
stored_text{i}{1} = 'Frame Objects';

i=8;
stored_text{i}{1} = 'frame(index).number = 45';
stored_text{i}{2} = 'frame(index).full_name = ''My_Full_Name''';
stored_text{i}{3} = 'frame(index).short_name = ''MFN''';
stored_text{i}{4} = 'frame(index).elements = strvcat(''text1'',''text2'',...)';
stored_text{i}{5} = 'frame(index).type = ''Binary'''  ;
stored_text{i}{6} = 'frame(index).cardinality = 2';
stored_text{i}{8} = 'type can be: Logical, Binary, Classes_Un_ordered, Classes_Ordered, Integers, Continuous.';

% structure helps
i=9;
stored_text{i}{1} = 'Structure Objects: a set of frames';

i=10;
stored_text{i}{1} = 'structure(index).number = 25';
stored_text{i}{2} = 'structure(index).full_name = age';
stored_text{i}{3} = 'structure(index).short_name = age';
stored_text{i}{4} = 'structure(index).most_refined = 5';
stored_text{i}{5} = 'structure(index).sub_frames = [7 21 11]';
stored_text{i}{6} = 'structure(index).mapping = [c(i,j)]';
stored_text{i}{7} = '    c(i,j) = mapping relation if frame i is mapping of frame j';


% attribute helps
i=11;
stored_text{i}{1} = 'Attribute Objects: a structure, some indexes';

i=12;
stored_text{i}{1} = 'attribute(index).number = 25';
stored_text{i}{2} = 'attribute(index).full_name = age';
stored_text{i}{3} = 'attribute(index).short_name = age';
stored_text{i}{4} = 'attribute(index).structure = 25';
stored_text{i}{5} = 'attribute(index).index(1).name = ''time''';
stored_text{i}{6} = 'attribute(index).index(1).frame = 11';


% variable helps
i=17;
stored_text{i}{1} = 'Variable Objects: an attribute, a frame, index_value instanciation.';

i=18;
stored_text{i}{1} = 'variable(index).number = 25';
stored_text{i}{2} = 'variable(index).full_name = John Doe age in decade';
stored_text{i}{3} = 'variable(index).short_name = JD_Age_Dec';
stored_text{i}{4} = 'variable(index).attribute = 5';
stored_text{i}{5} = 'variable(index).frame = 2';
stored_text{i}{6} = 'variable(index).index_value = 25';

% belief helps
i=19;
stored_text{i}{1} = 'Belief Objects: a set of domains + conditioning variables and potentials.';

i=20; k = 0;
k=k+1;stored_text{i}{k} = 'The belief object.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'belief(index).number = 25';
k=k+1;stored_text{i}{k} = 'belief(index).short_name = B25';
k=k+1;stored_text{i}{k} = 'belief(index).full_mane = apriori on sensor 4';
k=k+1;stored_text{i}{k} = 'belief(index).disposable = 0';
k=k+1;stored_text{i}{k} = 'belief(index).agent = ''You''';
k=k+1;stored_text{i}{k} = 'belief(index).time = 4';
k=k+1;stored_text{i}{k} = 'belief(index).ec = ''Sensor 4 On''';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'domain variable';
k=k+1;stored_text{i}{k} = 'belief(index).domain_variable = [5 9 3]';
k=k+1;stored_text{i}{k} = 'belief(index).domain_cardinality = [12 5 3]';
k=k+1;stored_text{i}{k} = 'belief(belief_index).dci_var.pin_d = [poistion;index;number] for discrete variables'; 
k=k+1;stored_text{i}{k} = 'belief(belief_index).dci_var.pin_c = [poistion;index;number] for continuous variables '; 
k=k+1;stored_text{i}{k} = 'belief(belief_index).dci_var.pin_i = [poistion;index;number] for integer variables'; 
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'conditioning variable';
k=k+1;stored_text{i}{k} = 'belief(index).conditioning_variable = [45 8]'; 	 
k=k+1;stored_text{i}{k} = 'belief(index).conditioning_cardinality = [3 4]'; 
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'origin';
k=k+1;stored_text{i}{k} = 'belief(1).origin = [3 12; 5 9; 4 21; 1 34]; % means belief(3).bp(12), belief(5).bp(9)...(not for user)' ;
k=k+1;stored_text{i}{k} = 'belief(1).computed = ''(5-9 or 3-12) and 4-21 or not 1-34'' (not for user)';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'one belief potential for each conditioning element: suppose domain cardinality = 3';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).full_name = ''bp43 m b BetP''';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).condition = ''v1=3,v2=Yes,v3=Male''';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).cd_focal_set = 5';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).type = ''m'''; 
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).representation = ''selected'''; 
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).focal_sets = [1; 4; 7]';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).log_expr = {''universe'',not p or q'',''not q''}';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).values = [.15; .05; .80]';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).type = ''b'''; 
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).representation = ''ordered'''; 
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).focal_sets = []';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).values = [.00 .15 .00 .15 .05 .20 .05 1.0]';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).log_expr = {}';

%belief potential
i= 21; k = 0;
k=k+1;stored_text{i}{k} = 'Belief potential object';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).full_name = ''bp43 m b BetP''';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).condition = ''v1=3,v 2=Yes,v3=Male''';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).cd_focal_set = 34';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).type = ''m'''; 
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).representation = ''selected'''; 
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).focal_sets = [1 4 7]';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).values = [.15; .05; .80]';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).log_expr = {''universe'',not p or q'',''not q''}';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(1).contint = [1 4 7 18.5  24.8]'; 
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).type = ''b'''; 
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).representation = ''ordered'''; 	
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).focal_sets = []';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).values = [.00 .15 .00 .15 .05 .20 .05 1.0]';
k=k+1;stored_text{i}{k} = 'belief(index).bp(1).form(2).log_expr = {}';

i=22; k = 0;
k=k+1;stored_text{i}{k} = 'Base on focal sets described by:';
k=k+1;stored_text{i}{k} = '- Sel.elem.: Cont/Int: when there are continuous or integer variables. Enter one mass and its focal set';
k=k+1;stored_text{i}{k} = '- Sel.elem.: No Cont/Int : not for continuous or integer variables. Enter all masses and focal sets (more efficient)';
k=k+1;stored_text{i}{k} = '- Logical expression : define a focal set with a logical expression'; 
k=k+1;stored_text{i}{k} = '- Based on pdf: Cont/Int: for continuous and intgegers, data = a probability density function (pdf)';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Base on related functions: LCP = least commitmenht principle';
k=k+1;stored_text{i}{k} = '- BetP on elements : bba derived from LCP';
k=k+1;stored_text{i}{k} = '- Pl on elements : bba derived from LCP';
k=k+1;stored_text{i}{k} = '- With .m function : user provides a function';
k=k+1;stored_text{i}{k} = '- With random masses : random masses allocated to ramdomly seleted subsets';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Base on LCP and some constraints on:';
k=k+1;stored_text{i}{k} = '- bel : ';
k=k+1;stored_text{i}{k} = '- pl : ';
k=k+1;stored_text{i}{k} = '- wc : ';
k=k+1;stored_text{i}{k} = '- wd : ';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Base on LCP and some Interval-value constraints on:';
k=k+1;stored_text{i}{k} = '- m : ';
k=k+1;stored_text{i}{k} = '- bel : ';
k=k+1;stored_text{i}{k} = '- pl : ';
k=k+1;stored_text{i}{k} = '- wc : ';
k=k+1;stored_text{i}{k} = '- wd : ';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'View  a potential :';
k=k+1;stored_text{i}{k} = '- Largest m + focal : long list with focal sets and masses';
k=k+1;stored_text{i}{k} = '- Bel,BetP,Pl,bba : a synthesis enhancing the Bel-BetP-Pl on the singletons';
k=k+1;stored_text{i}{k} = '- Best supported set : determination of the subset that should contain the actual value';
k=k+1;stored_text{i}{k} = '- Several forms: when cardinality <= 12, list simultaneously values for various forms';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Control';
k=k+1;stored_text{i}{k} = '- Save belief : belief obhject saved';
k=k+1;stored_text{i}{k} = '- Another belief: move to anothe belief object';
k=k+1;stored_text{i}{k} = '- Get next potential: move to the next potential object, within same belief object.';
k=k+1;stored_text{i}{k} = '- Quit : bak to calling window';

i=23; k=0; % explaining what can be done in See/Create potential
% k=k+1;stored_text{i}{k} = 'Selected m: you enter each positive mass and their focal set';
% k=k+1;stored_text{i}{k} = 'Logical expression: you enter masses and expressions like ((p or not q) impl b) or (V4 in {''C3'',''C7''})';
% k=k+1;stored_text{i}{k} = 'Ordered data: for small spaces (<6 elements), subsets generated and you only feed a mass for every subset thus even the 0''s.';
% k=k+1;stored_text{i}{k} = 'Bet or Pl + LCP: you enter BetP or Pl for each elements, and get the Least committed isopignistic bba.';
% k=k+1;stored_text{i}{k} = 'EvClust: NA';
% k=k+1;stored_text{i}{k} = '.m function: you must write a matlab m function which will be evaluated. NA';
% k=k+1;stored_text{i}{k} = 'You can also enter some constraints on bba and get the full bba from the LCP (Least Commitment Principle)';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'View Largest m (by default up to 95% of normaied masses) listed (ordered) with their focal sets or according to their entry order';
% k=k+1;stored_text{i}{k} = 'View Elements: Bel, BetP, Pl, normalized triple for each element.';


i=24; % explaining what can be done when creating a bp using logical expression
k = 0;
k=k+1;stored_text{i}{k} = 'Building masses from logical expressions';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'We build logical expressions with the next rules:';
k=k+1;stored_text{i}{k} = 'The atomic terms are either a logical variable (based on a frame defined as Logical) or an expression like:';
k=k+1;stored_text{i}{k} = '   (var_name in {''val1'',''val2'',...})';
k=k+1;stored_text{i}{k} = '   (var_name in [14 7 1:3 23])';
k=k+1;stored_text{i}{k} = 'The operators are:';
k=k+1;stored_text{i}{k} = '   unary operator : not';
k=k+1;stored_text{i}{k} = '   binary operator: and or impl equiv';
k=k+1;stored_text{i}{k} = 'They apply to formulas.';
k=k+1;stored_text{i}{k} = 'Formulas are a term, operator separated terms,  operator separated formulas.';
k=k+1;stored_text{i}{k} = 'Parenthesis used to order the logical evaluation process.';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'Example. Suppose a frame (domain) made as the product of 4 variables.';
k=k+1;stored_text{i}{k} = 'Let them be two logical variables p and b and ';
k=k+1;stored_text{i}{k} = 'V_ABC : a variable with 3 possible values A B and C,';
k=k+1;stored_text{i}{k} = 'N_100 : a variable which values are the integers from 0 to 100.';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'Example of valid formulas: ';
k=k+1;stored_text{i}{k} = 'p';
k=k+1;stored_text{i}{k} = '(p and not b) or (not p and b)';
k=k+1;stored_text{i}{k} = 'p impl not b';
k=k+1;stored_text{i}{k} = 'p equiv b ';
k=k+1;stored_text{i}{k} = 'not (p impl b)';
k=k+1;stored_text{i}{k} = 'not (V_ABC in {''A'',''C''}) impl p';
k=k+1;stored_text{i}{k} = 'p and not b and (N_100 in [40:50 60:80 99])';

i=25; %Distint Cominaitions
k = 0;
k=k+1;stored_text{i}{k} = 'Combining the beliefs induced by distinct pieces of evidence';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'For the general case,';
k=k+1;stored_text{i}{k} = 'You can use ''and'', ''or'' and ''not'' operators for distinct combinations.';
k=k+1;stored_text{i}{k} = '   AND for the conjunctive combination.';
k=k+1;stored_text{i}{k} = '   OR  for the disjunctive combination.';
k=k+1;stored_text{i}{k} = '   NOT for the negation.';
k=k+1;stored_text{i}{k} = 'Besides ( and ) can also be used.';
k=k+1;stored_text{i}{k} = 'Example: (E1 or not E2) and E3 and not (E1 or E4)';
k=k+1;stored_text{i}{k} = 'where E1,..., E4 are four distinct pieces of evidence';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'bp (belief potential) are selected by clicks';
k=k+1;stored_text{i}{k} = 'A bp is denoted by belNum.bpNum.formNum where  belNum indicates the belief object, bpNum the bp object, formNum the form with a bba.';
k=k+1;stored_text{i}{k} = 'So a bba is denoted by the triple index.';
k=k+1;stored_text{i}{k} = 'You get a list of all Belief objects and for each belief object the list of bp if there are more than one.';
k=k+1;stored_text{i}{k} = 'If there is no bba or more than one bba for the selected bp, it is an error, and TBMLAB skips that selection.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'You successively select the bp and the operators, using ( and ) to avoid ambiguities.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'For the conjunctive only (AND) and disjunctive only (OR) cases, you get the list of beliefs. ';
k=k+1;stored_text{i}{k} = 'Just select the belief objects you want to combine (easier than the general case),';
k=k+1;stored_text{i}{k} = 'When there are several bp''s, you are asked to choose the one you want to use.';

i=26; % explaining the generation of all variable for an attribute
k = 0;
k=k+1;stored_text{i}{k} = 'Generating all possible variables for an attribute';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'An attribute is characterized by a set of indexes.';
k=k+1;stored_text{i}{k} = 'We consider every possible value for the indexes and build a variable based on these instanciations of its indexes.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'You must imput a list of attribute objects, as we can proceed for several attributes at once.';
k=k+1;stored_text{i}{k} = 'For those attributes where the attached structure covers only one frame, the varioble frame is the one covers by the strucure.';
k=k+1;stored_text{i}{k} = 'When the structure covers several frames, you will be asked to input the required frame for the variable.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Once these data are input, TBMLAB looks successively for each attribute to the attribute indexes.';
k=k+1;stored_text{i}{k} = 'TBMLAB constructs all possible combinations of these indexes, and bulds one variable for each such combination.';
k=k+1;stored_text{i}{k} = 'Beware of the number of variables you might created. It is equal to the product of the cardinalities of the frames attached to each index of the attribute.';

% i=27; % load file
% k = 0;
% k=k+1;stored_text{i}{k} = 'Loading Files';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'TBMLAB loads binary files with objects saved during a previous TBMLAB session.';
% k=k+1;stored_text{i}{k} = 'Loaded objects are Frame, Structure, Mapping, Attribute, Variable, Belief.';
% k=k+1;stored_text{i}{k} = 'The file name is the folder name with an appended text. The folder name is the one you use to save your data.';
% 
% i=28; % save file
% k = 0;
% k=k+1;stored_text{i}{k} = 'Saving Files';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'TBMLAB saves all objects on binary files.';
% k=k+1;stored_text{i}{k} = 'Saved objects are Frame, Structure, Mapping, Attribute, Variable, Belief.';
% k=k+1;stored_text{i}{k} = 'The file name is the folder name with an appended text.';
% k=k+1;stored_text{i}{k} = 'By default, the folder name is the one of the previously loaded files.';
% k=k+1;stored_text{i}{k} = 'In any case, you must confirm the file name.';
% k=k+1;stored_text{i}{k} = 'You can still change the name.';
% k=k+1;stored_text{i}{k} = 'If you save data on an exisitng file, data on previous files are overwritten.'; 
% 
% i=29; % save as file
% k = 0;
% k=k+1;stored_text{i}{k} = 'Saving As Files';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'TBMLAB saves all objects on binary files in a folder which name is asked.';
% k=k+1;stored_text{i}{k} = 'Saved objects are Frame, Structure, Mapping, Attribute, Variable, Belief.';

i=30; % get_natural_frames
k = 0;
k=k+1;stored_text{i}{k} = 'Get Natural Frames';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'TBMLAB builds automatically the requested frames.';
k=k+1;stored_text{i}{k} = 'A frame is requested by selecting the little button to its left.';
k=k+1;stored_text{i}{k} = 'Selected frames can be deselected by clicking again on them.';
k=k+1;stored_text{i}{k} = 'For some frames - those marked by * - you must produce some extra information that TBMLAB will ask.';
k=k+1;stored_text{i}{k} = 'The last button select all the frames which do not require extra information (those unmarked).';

% i=31; % get_simple_objects
% k = 0;
% k=k+1;stored_text{i}{k} = 'Get Simple Objects';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'Simple objects concern Frame, Structure, Attribute, Variable.';
% k=k+1;stored_text{i}{k} = 'You must only enter the most important data needed to define them.';
% k=k+1;stored_text{i}{k} = 'A very efficient way to enter your objects.';
% k=k+1;stored_text{i}{k} = 'If some extra data are needed, you can enter them later using the object editor.';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'For each object, the prerequired objects are listed between ( and ).';
% k=k+1;stored_text{i}{k} = 'Be sure needed objects are created before creating an object that needs them.';
% k=k+1;stored_text{i}{k} = 'Frame: you get a new Classes_Un_ordered frame with its name, cardinality and elements name. By defaault, it builds a corresponding structure object.';
% k=k+1;stored_text{i}{k} = 'Structure: you get a new simple stucture based on an exisitng frame.';
% k=k+1;stored_text{i}{k} = 'Attribute: you get a new attribute with its name, its structure, its indexes, the index names and frames.';
% k=k+1;stored_text{i}{k} = 'Variable: you get a new variable with its attribute, its frame, its index instanciation.';
% 
% 
% i=32 ; % get_var_direct
% k = 0;
% k=k+1;stored_text{i}{k} = 'Get Variables Directly';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'The most efficient way to create a variable';
% k=k+1;stored_text{i}{k} = 'You only enter its name, its cardinality and the labels of its elements.';
% k=k+1;stored_text{i}{k} = 'For more elaborated variables, use menus File:Get Simple Objects or Edit:Variable.';
% k=k+1;stored_text{i}{k} = ' ';
% k=k+1;stored_text{i}{k} = 'Automatical building of a non-indexed variable on a structure with just one frame.';
% k=k+1;stored_text{i}{k} = 'Based on an exisitng or a new frame.';
% k=k+1;stored_text{i}{k} = 'At Upper left, you get a list of the exisitng frames, their number, their short names and their elements.';

i=33 ; % Propositions
k = 0;
k=k+1;stored_text{i}{k} = 'Get Propositions';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'A (logical) proposition is a variable that can be only true or false.';
k=k+1;stored_text{i}{k} = 'The most efficient way to create several propositions at once.';
k=k+1;stored_text{i}{k} = 'You only enter the number of propositions you want, and their names.';
k=k+1;stored_text{i}{k} = 'Use very short labels as short names, and detailled names as full names,';
k=k+1;stored_text{i}{k} = 'so you can see what the short names mean if you have forgotten it.';

% i=34 ; % get_k_ar_var
% k = 0;
% k=k+1;stored_text{i}{k} = 'Get k-ary Variables';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'A k-ary varibale is a variable that takes k values unordered.';
% k=k+1;stored_text{i}{k} = 'You only enter the number of k_ary variables you want for k = 2,3,4.';
% k=k+1;stored_text{i}{k} = 'Their default names are Vk.i where k is the arity and i an index 1,2,...';
% k=k+1;stored_text{i}{k} = 'Their element labels are A, B, C...';

i=35 ; % run_distinct_combi
k = 0;
k=k+1;stored_text{i}{k} = 'Combining beliefs induced by distinct pieces of evidence.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Given several belief functions induced by distinct pieces of evidence, we combine them using';
k=k+1;stored_text{i}{k} = 'AND = conjunction operator corresponding to the conjunctive combination rule.';
k=k+1;stored_text{i}{k} = 'OR = disjunction operator corresponding to the disjunctive combination rule';
k=k+1;stored_text{i}{k} = 'Neg = negation  operator.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Given two bba m1 and m2, their conjunctive combination is such that m1(A)m2(B) is transferred to A intersect B.';
k=k+1;stored_text{i}{k} = 'Given two bba m1 and m2, their disjunctive combination is such that m1(A)m2(B) is transferred to A union B.';
k=k+1;stored_text{i}{k} = 'For the bba m, Neg m, denoted -m, is the bba where -m(A) = m(complement A)';

i=36 ; % run_VBS
k = 0;
k=k+1;stored_text{i}{k} = 'Running Valuation Based System (Diret or Undirect Graph).';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'In order to run VBS, TBMLAB needs to know which belief objects are involved in the network';
k=k+1;stored_text{i}{k} = 'and on which subsets of variables the projection of the resulting propagated belief is to be computed.';
k=k+1;stored_text{i}{k} = 'As per now, it computes only one projection.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The belief potentials can be either joint beliefs or conditional beliefs. TBMLAB recognizes the difference and adapts itself appropriately';


i=37 ; % road_map_objects
k = 0;
k=k+1;stored_text{i}{k} = 'Road Map for the objects.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'A full screen display that shows what objects make a belief.';
k=k+1;stored_text{i}{k} = 'For every belief object, it provides the list ot its variable.';
k=k+1;stored_text{i}{k} = 'For each variable, it states what is the frame on which the variable is defined,';
k=k+1;stored_text{i}{k} = 'the attribute object used to define the variable, and the structure object of the attribute.';
k=k+1;stored_text{i}{k} = 'Clicking on the little button at left of the objects produces a window listing the characteristics of the selected object.';

i=38 ; % results_display
k = 0;
k=k+1;stored_text{i}{k} = 'Display of a bba.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Right half displays the value of the largest masses and their focal sets.';
k=k+1;stored_text{i}{k} = 'Focal sets are presented as  sets of elements.';
k=k+1;stored_text{i}{k} = 'For a set of elements, each dot means that the elements obtained by replacing the dots by each value of the designated variable belong to the focal set. ';
k=k+1;stored_text{i}{k} = 'So if we have 3 binary variables X,Y,Z and a 3 value variable T, 0.1. designates the set {0010 0011 0012 0110 0111 0112}';
k=k+1;stored_text{i}{k} = 'The algorithm to find the dot representation is not efficient. Therefore it is worth asking only for a few masses.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Left half presents a plot with the value of Bel, BetP, Pl on the singletons with the largest BetP values (see below).';
k=k+1;stored_text{i}{k} = 'The upper half explains what are the elements used for the plot.';
k=k+1;stored_text{i}{k} = 'The plot is made of a light red area and a deep red bar inside the light red area.';
k=k+1;stored_text{i}{k} = 'The bottom/top levels of the light red area are the values of Bel/Pl, respectively (normalized). ';
k=k+1;stored_text{i}{k} = 'The deep red bar is the value of BetP (which is always between Bel and Pl).';
k=k+1;stored_text{i}{k} = 'The elements with the largest BetP are at left.';
k=k+1;stored_text{i}{k} = 'The order of the elements in the plot can be changed with the menu Tools/Preferences. Other choice are Plausibility Ordered, or Set Ordered.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Menu.';
k=k+1;stored_text{i}{k} = 'File/Quit : you leave this window and go back to the calling window.';
k=k+1;stored_text{i}{k} = 'File/Print : you print the figure on a depsc or deps file.';
k=k+1;stored_text{i}{k} = 'Tools/Variable names : it presents a temporary window displaying both the short and long names of the variables.';
k=k+1;stored_text{i}{k} = 'Tools/Preferences : it allows the user to modify the options of the plot and list.';
k=k+1;stored_text{i}{k} = [help_label,'/Help : it produces this help.'];

i=39 ; % building_all_var_from_att
k = 0;
k=k+1;stored_text{i}{k} = 'Combining beliefs induced by distinct pieces of evidence.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Suppose an attribute with indexes and a variable built on this attribute.';
k=k+1;stored_text{i}{k} = 'TBMLAB generates as many variables as there are possible combinations of the indexes of its attribute.';
k=k+1;stored_text{i}{k} = 'Exampe: attribute ''position'' with indexes ''time'' and ''vehicule'',';
k=k+1;stored_text{i}{k} = 'where ''time'' can be a integer from 1 to 20 and ''vehicule'' can be any of v1, v2...v5.';
k=k+1;stored_text{i}{k} = 'There are thus 20*5 = 100 possible values for the indexes.';
k=k+1;stored_text{i}{k} = 'This option creates the 100 variables position(1,v1), position(2,v1,... position(20,v5)';
k=k+1;stored_text{i}{k} = 'Beware of the number of variables so generated. Central memory may been overflown.';

i=40; % file handling
k = 0;
k=k+1;stored_text{i}{k} = 'LOADING AND SAVING DATA';
k=k+1;stored_text{i}{k} = 'Normaly, you should store all files pertaining to one application in one folder located in User_Data/Application_Data folder. But you can put it elsewhere if you want it.';
k=k+1;stored_text{i}{k} = 'File names end with:';
k=k+1;stored_text{i}{k} = '- .batch or .batch.txt for ASCII files containing the data needed to run TBMLAB in batch mode. Created with a text editor (ASCII mode).';
k=k+1;stored_text{i}{k} = '- .obj or .obj.mat for binary files storing all object (Frame, Structure, Mapping, Attribute, Variable and Belief objects). Created by TBMLAB with the Save menu. ';
k=k+1;stored_text{i}{k} = '- .EVN or .EVN.mat for binary files storing the plots of the evidential networks. Created with Save EVN in Graphical Method menu.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'OPEN: When starting TBMLAB from files, you can choose between:'; 
k=k+1;stored_text{i}{k} = '- loading the objects from binary files with previously saved objects,';
k=k+1;stored_text{i}{k} = '- creating the objects in batch mode using an ASCII coded form.';
k=k+1;stored_text{i}{k} = 'You just select the file, TBMLAB recognizes them.';
k=k+1;stored_text{i}{k} = 'From files. Loaded objects are Frame, Structure, Mapping, Attribute, Variable, Belief.';
k=k+1;stored_text{i}{k} = 'Batch mode. TBMLAB runs the instructions (syntax detailed in user''s guide).';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'SAVE: Save the objects Frame, Structure, Mapping, Attribute, Variable, Belief.';
k=k+1;stored_text{i}{k} = 'If first time you save data for this appliation, create a new folder and enter a file name.';
k=k+1;stored_text{i}{k} = 'BEWARE: If file name already exists, new data overwrite old ones.';
k=k+1;stored_text{i}{k} = 'BEWARE: On PC, select option ''all'' on the file managment panel. (Do not select the files which name starts with ._)';

% i=41 ; % bel on multivariate space
% k = 0;
% k=k+1;stored_text{i}{k} = 'Building bel on multivariate space.';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'Select the variables on which you wnt to marginalize the VBS computation.';
% k=k+1;stored_text{i}{k} = 'propagation is redone, and resuls are displayed.';

i=42 ; % bp edit figure
k = 0;
k=k+1;stored_text{i}{k} = 'Belief Potential Editor Window: Set mode.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'For the selected belief potential, TBMLAB looks for a form.type = ''m''';
k=k+1;stored_text{i}{k} = 'If there is no m, it tries to create it.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'A rxc table: row = an element of the frame of discernment, column = one focal set.';
k=k+1;stored_text{i}{k} = 'The left most column is the description of the elements';
k=k+1;stored_text{i}{k} = 'The top row = the focal sets numbers and their masses.';
k=k+1;stored_text{i}{k} = 'In the table, an x (.) means that the element of the row belongs (does not belong) to the focal set represented by the column.';
k=k+1;stored_text{i}{k} = 'Horizontal and vertical lines are just given to help the user in keeping good parallelism.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'By clicking on the x or ., the value toggles, hence you can enter or delete an element from a focal set.';
k=k+1;stored_text{i}{k} = 'By clicking on the mass, you get a window where you enter the next mass, followed by RETURN.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The control buttons at the bottom:  up, down, left and right for scrolling the tables.';
k=k+1;stored_text{i}{k} = 'Add = a new focal set is created with mass 0 and set = empty set';
k=k+1;stored_text{i}{k} = 'Cancel = you cancel the whole editing process, you get back the previous bba.';
k=k+1;stored_text{i}{k} = 'To delete a focal set, change its mass into 0, it will be deleted when you quit (menu File/ Quit).';


i=44; % object editor
k = 0;
k=k+1;stored_text{i}{k} = 'Object Editor for Frame, Structure, Attribute, Variable';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'You can create, edit or delete any object.';
k=k+1;stored_text{i}{k} = 'You get a list of all existing objects.';
k=k+1;stored_text{i}{k} = 'With the menu bar, you can';
k=k+1;stored_text{i}{k} = ' - File : Quit: return to TBMLAB Root Window';
k=k+1;stored_text{i}{k} = ' - Edit : New xxx, you create a new xxx object.';
k=k+1;stored_text{i}{k} = ' - Edit : Delete xxx. All objects using the deleted ones are also deleted..';
k=k+1;stored_text{i}{k} = ' - Help : get Help on and off.';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'Be sure needed objects are created before creating an object that needs them.';


i=45 ; % Best Supported Setsr
k = 0;
k=k+1;stored_text{i}{k} = 'Best Supported Sets.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Determination of the subset that should contain the actual value (reference = A. Appriou).';
k=k+1;stored_text{i}{k} = 'For every subset A of the universe, compute Pl(A) / |A|**r where Pl is the normalized plausibility';
k=k+1;stored_text{i}{k} = 'and r is a parameter in [0,1] where';
k=k+1;stored_text{i}{k} = 'r=0 means select the universe,';
k=k+1;stored_text{i}{k} = 'r=1 means select the most plausible singleton,';
k=k+1;stored_text{i}{k} = 'The larger r, the more singletons are favored.';
k=k+1;stored_text{i}{k} = 'For each r, find out the most supported subset according to Appriou criteria.';
k=k+1;stored_text{i}{k} = 'You can conclude that data support essentially that the actual value of the unknwon parameter is in this set';
k=k+1;stored_text{i}{k} = 'If stable for all r, selection is clear, otherwise there is some left over ambinguity.';
k=k+1;stored_text{i}{k} = 'Once a selection is made, you may conclude without much risk of error:';
k=k+1;stored_text{i}{k} = 'the data support that the actual value is in the selected subset.';


i=46 ; % EvClus
k = 0;
k=k+1;stored_text{i}{k} = 'EvClus: evidential clustering.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Algorithm of Denoeux-Masson';
k=k+1;stored_text{i}{k} = 'Input is a dissimilarity matrix stored anywhere as a .mat file.';
k=k+1;stored_text{i}{k} = 'It is assumed :'; 
k=k+1;stored_text{i}{k} = '  individual can be categorized into N classes (an input parameter),';
k=k+1;stored_text{i}{k} = '  for each individual, there is a belief potential (to be determined) representing our knowledge about the class to which it belongs,';
k=k+1;stored_text{i}{k} = '  for every pair (i,j) of individuals, let pl{i,j}(S) be the plausibility that they belong to the same class (computed from last belief potentials,';
k=k+1;stored_text{i}{k} = '  we knwow the dissimilarity d{i,j} between two individuals (entered in the input matrix), ';
k=k+1;stored_text{i}{k} = '  the condition: d{i,j} > d{k,l} -> pl{i,j}(S) < pl{k,l}(S).';
k=k+1;stored_text{i}{k} = 'The EcClus algorithm determines the belief potentials that satisfy (as well as possible) these conditions.'; 
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'TBMLAB presents also a plot with the fisrt two components of a multidimensional scaling plot.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Meaning of the parameters: ';
k=k+1;stored_text{i}{k} = 'option = 0, focal sets are singletons,';
k=k+1;stored_text{i}{k} = 'option = 1, focal sets are singletons, the empty set and the universe,';
k=k+1;stored_text{i}{k} = 'option > 1, each belief potential can have up to 2^N focal sets.';
k=k+1;stored_text{i}{k} = 'lambda is a regularization parameter, default = .001';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Details, see: T. Denoeux and M. Masson. EVCLUS: Evidential Clustering of Proximity Data. IEEE Trans. SMC B, 2002.';


i=47 ; % EVN
k = 0;
k=k+1;stored_text{i}{k} = 'Evidential Network (EVN) Plot Window';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The window that displays the network. ';
k=k+1;stored_text{i}{k} = 'Activated by its own menus.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Normaly all variables and prior beliefs should have been entered.';
k=k+1;stored_text{i}{k} = 'An EVN asks for a set of belief objects.';
k=k+1;stored_text{i}{k} = 'It collects all involved variables.';
k=k+1;stored_text{i}{k} = 'It draws the network, that you can move around, zoom in and out, etc.';
k=k+1;stored_text{i}{k} = 'You can also display the BetP on each single variable.';
k=k+1;stored_text{i}{k} = 'BetP histogram is locatred above the node of its corresponding variable.';
k=k+1;stored_text{i}{k} = 'When you move variables, the BetP histograms stay where they were. The menu Relocate BetP relocates the BetP hisotgrams above their variables.';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'When entering the belief objects, you can enter all of them at once, but the plot might be very messy.';
k=k+1;stored_text{i}{k} = 'Use the Better Graph menu to get a nicer graph.';
k=k+1;stored_text{i}{k} = 'If it fails, use menu File/Clear EVN and re-enter a subset of the belief objects, use Better Graph,';
k=k+1;stored_text{i}{k} = 'and then enter the other ones, one by one.';
k=k+1;stored_text{i}{k} = 'Nodes can be drag and drop with the mouse.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'When working on the EVN itself, you loose the access to the menus. A red button indicates it at upper left.'; 
k=k+1;stored_text{i}{k} = 'To access the menus, select the red button (Mac, click, other, right click), it becomes green and you can select the menus.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'You can also add variable from the EVN, and then create beliefs. It is NOT a good idea, better plan ahead.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'EVN can be saved and reloaded.';
k=k+1;stored_text{i}{k} = '';						 
k=k+1;stored_text{i}{k} = 'MENU ACTIONS';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'File';
k=k+1;stored_text{i}{k} = '- Load EVN : Start EVN from an network previously saved. You can still add new beliefs to it.';
k=k+1;stored_text{i}{k} = '- Save EVN : Save the network as it is now.';
k=k+1;stored_text{i}{k} =['- Save Objects : All objects are saved, from frames to belief objetcs.',...
							'Consider using another file name, otherwise past objects are over-written.',...
							'EVN data themselves are not saved (use the button Save EVN for it).'];
k=k+1;stored_text{i}{k} = '- Print EVN';
k=k+1;stored_text{i}{k} = '- Clear EVN : The present EVN is cleared. its related objects are deleted. You can start a new EVN.';
k=k+1;stored_text{i}{k} =['- Quit EVN : You leave this graphical session. You go back to the general TBMLAB Root Window.',...
						 'No save done with this option. All unsaved EVN data are lost.'];
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Objects';
k=k+1;stored_text{i}{k} = '-  Get Belief: Loading belief potential to build the EVN. Select the beliefs in the list. For building a new one, use last option.';
k=k+1;stored_text{i}{k} = '-  Get Variable: one can add/create variables.';
k=k+1;stored_text{i}{k} = '-  New propositions: create them';
k=k+1;stored_text{i}{k} = '-  New variables: create them';
k=k+1;stored_text{i}{k} = '-  New beliefs: create them';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'View';
k=k+1;stored_text{i}{k} = '-  Initial scale: gets back the initial EVN. May be usefull if you mix up everything.';
k=k+1;stored_text{i}{k} = '-  EVN at Center: moves graph at center of window.';
k=k+1;stored_text{i}{k} = '-  Better Graph: an algorithm that tries to distribute the nodes and links in a nice way.';
k=k+1;stored_text{i}{k} = '-  Full Network: when the EVN is out of the window, bring it back into it.';
k=k+1;stored_text{i}{k} = '-  Re Center: you get a cross hair. The cross hair position becomes the center of the figure.';
k=k+1;stored_text{i}{k} = '-  Zoom in: for a better view.';
k=k+1;stored_text{i}{k} = '-  Zoom out: the inverse.';
k=k+1;stored_text{i}{k} = '-  Move histo: you can move the BetP_Histo individually.';
k=k+1;stored_text{i}{k} = '-  MultiVar bel: NA';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'EVN Control';
k=k+1;stored_text{i}{k} = '-  Propagate: belief potentials (joint and conditional) are propagated through this network by the Shenoy VBS Algorithm.';
k=k+1;stored_text{i}{k} = '-  Display BetP: BetP is computed for every single variable, and shown as histograms (BetP_Histo).';
k=k+1;stored_text{i}{k} = '-  Relocate BetP: if you have moved nodes, BetP_Histo don''t follow automatically. This option puts back BetP_Histo on their node.';
k=k+1;stored_text{i}{k} = '-  Display Network: show the EVN back.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Help';
k=k+1;stored_text{i}{k} = '-  Show: show this help text';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The Normal Use.';
k=k+1;stored_text{i}{k} = 'Once in front of the window, you select Objects/Belief.';
k=k+1;stored_text{i}{k} = 'In the list of belief objects, multi-select those you want to use.';
k=k+1;stored_text{i}{k} = 'You get a ''messy'' graph. Select View/Better Graph. Judge the result.';
k=k+1;stored_text{i}{k} = 'At top left, the menu permits you to repeat the algorithm for a hopefuly better positioning of the nodes,';
k=k+1;stored_text{i}{k} = 'but you can also ask to go back to the previous solution, or to quit this algorithm if the outcome satisfies you.';
k=k+1;stored_text{i}{k} = 'Then you ask EVN Control/Propagate, and once done ask EVN Control/Display BetP to get the BetP_Histo.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Note that there are also menus attached to the individual nodes. Just right/ctrl-click on then.';

i=48 ; % the mobius matrices
k = 0;
k=k+1;stored_text{i}{k} = 'The matrices representing the transformations between potential forms.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The matrices are built with a Kronecker product.';
k=k+1;stored_text{i}{k} = 'KRON(X,Y) is the Kronecker tensor product of X = [x(i,j)], i=1...I, j = 1...J, and Y where X and Y are matrices.';
k=k+1;stored_text{i}{k} = 'The result is a matrix equal to:'; 
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = '[x(1,1)Y   x(1,2)Y ... x(1,J)Y';
k=k+1;stored_text{i}{k} = ' x(2,1)Y   x(2,2)Y ... x(2,J)Y';
k=k+1;stored_text{i}{k} = '  ...........................';
k=k+1;stored_text{i}{k} = ' x(I,1)Y   x(I,2)Y ... x(I,J)Y].';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Each matrix is obtained with the next algorithm.'; 
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'mat = 1;';
k=k+1;stored_text{i}{k} = 'for i = 1:cardinale';
k=k+1;stored_text{i}{k} = '	mat = Kron(mat0,mat)';
k=k+1;stored_text{i}{k} = 'end';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'where mat0 is one of the next six matrices:';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'm_from_b   m_from_q   b_from_m';
k=k+1;stored_text{i}{k} = '  1  0       1 -1       1  0';
k=k+1;stored_text{i}{k} = ' -1  1       0  1       1  1';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'b_from_q   q_from_m   q_from_b';
k=k+1;stored_text{i}{k} = '  1 -1       1  1       0  1';
k=k+1;stored_text{i}{k} = '  1  0       0  1      -1  1';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'It is possible to write all the matrices bel_from_x and pl_from_x,';
k=k+1;stored_text{i}{k} = 'but it is not possible to write a matrix to transform directly bel or pl into m, b or q.';

i=49 ; % FMT demo
k = 0;
k=k+1;stored_text{i}{k} = 'Fast Mobius Transforms (FMT)';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'A very efficient algorithm to transform the various potential forms into each others.';
k=k+1;stored_text{i}{k} = 'For example, with cardinals 3 to 6, the numbers of additions required to transform m into b with the FMT and with the brute force method are:';
k=k+1;stored_text{i}{k} = 'cardinal    FMT      brute force';
k=k+1;stored_text{i}{k} = '    3        12           12';
k=k+1;stored_text{i}{k} = '    4        32           50';
k=k+1;stored_text{i}{k} = '    5        80          180';
k=k+1;stored_text{i}{k} = '    6       192          602';
k=k+1;stored_text{i}{k} = 'Its only weakness is that it requires to store a vector of length pow2(cardinal).';
k=k+1;stored_text{i}{k} = 'So the algorithm is OK up to cardinal = 15. Besides other algorithms less memory greedy might be more efficient.';
k=k+1;stored_text{i}{k} = 'With sparce matrices (lot of zeros), one can hope for about n*n/4 additions where n = the number of focal sets (rule of thumb).';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'There is an algorithm for all the possible transforms where the coefficients are always 0, 1 and -1';


i=50 ; % TBM Tabulator
k = 0;
k=k+1;stored_text{i}{k} = 'TBM Tabulator';
k=k+1;stored_text{i}{k} = ' ';
k=k+1;stored_text{i}{k} = 'A TBM oriented tabulator that performs on line computation on belief potentials.';
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = 'You get a whole screen window containing a large tabulator, a header with hints, and a bottom window for control.';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = 'Hereafter:';
k=k+1;stored_text{i}{k} = '- n is an integer representing the cardinality of the frame';
k=k+1;stored_text{i}{k} = '- symb is any symbol, the labels of the elements of the frame are made of the ascii codes that follow symb.';
k=k+1;stored_text{i}{k} = '- x,xi are cell locations: i,j (if x = j, then i = 1). Indices of the cell containing the generating instruction of a potential.';
k=k+1;stored_text{i}{k} = '- out is a potential form.';
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = 'In the tabulator, you type in instructions that are immediately excecuted. You can:';
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = '- create the labels of the frame of discernement with label(n;symb)';
k=k+1;stored_text{i}{k} = 'ex: label(3;f) generates the labels {},f,g,fg,h,fh,gh,fgh. fh denotes the set {f,h}.';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = '- generate a random bba with bba(n)';	
k=k+1;stored_text{i}{k} = 'ex: bba(3) generates the bba for a frame with 3 elements.';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = '- type in a potential with key(n;out)';	
k=k+1;stored_text{i}{k} = 'ex: key(3;pl) generates a vector of length 8 with 0''s. You key in the values of pl. End by selecting outside object area. ';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = '- compute the various forms with op(x) where op is one of {m,b,q,bel,pl,wc,wd,betp}.';	
k=k+1;stored_text{i}{k} = 'ex: b(4), compute b from data under cell(1,4), q(3,5) compute q from data under cell(3,5),';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = '- compute con/dis-junctive combinations of several potentials: ccr(x1;...;xn;out), dcr(x1;...;xn;out)';	
k=k+1;stored_text{i}{k} = 'ex: ccr(2;3;5,7;b) conjuctive combination of 3 potentials located under cells (1,2), (1,3), (5,7), output as b.';	
k=k+1;stored_text{i}{k} = 'ex: dcr(2;3;5,7;q) disjuctive combination of 3 potentials located under cells (1,2), (1,3), (5,7), output as q.';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = '- apply GBT to several conditional potentials, with prior potential: gbt(x1;...;xn;xprior;conditioning_event,out)';	
k=k+1;stored_text{i}{k} = 'ex: gbt(3;5;8;11;4,9;m) apply GBT to conditional potentials in (1,3), (1,5), (1,8), prior in (1,11), conditioning event represented in cell (4,9), results as m.  ';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = '- apply DRC to several conditional potentials, with prior potential: drc(x1;...;xn;xprior;out)';	
k=k+1;stored_text{i}{k} = 'ex: drc(3;5;8;11;m) apply DRC to conditional potentials in (1,3), (1,5), (1,8), prior in (1,11), results as m.  ';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = '- discount a potential: disc(x;dc;out)';	
k=k+1;stored_text{i}{k} = 'ex: disc(5;.7;pl) disount by factor .7 the potential in (1,5), results as pl.';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = 'Bottom window';	
k=k+1;stored_text{i}{k} = 'A set of 4 buttons (Up, Down, Left, Right) allows you to scroll the tabulator. ';	
k=k+1;stored_text{i}{k} = 'Home puts cell (1,1) at upper left of the tabulator.';	
k=k+1;stored_text{i}{k} = 'Clear erases all data, and producces an empty tabulator.';	
k=k+1;stored_text{i}{k} = 'Replay allows to replay all the instructions. Usefull if you use a key instruction and key in new data before running replay.';	
k=k+1;stored_text{i}{k} = 'Random bba''s are frozen or changed according to the option ''Rep Fr'' or ''Rep Nw''';	
k=k+1;stored_text{i}{k} = ' ';	
k=k+1;stored_text{i}{k} = 'Menu';	
k=k+1;stored_text{i}{k} = 'Help presents this help.';	
k=k+1;stored_text{i}{k} = 'Save : saves numercial data in file tbm_tabulator_data (find it!) ASCII, tab separated, readable by Excel (so you can print/plot data).';	
k=k+1;stored_text{i}{k} = 'Quit brings you back to TBMLAB Root Window.';	


i=51; % BetP + LCP
k = 0;
k=k+1;stored_text{i}{k} = 'Bba generated from BetP and LCP';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'You enter for some/all singletons the value of BetP.';
k=k+1;stored_text{i}{k} = 'The application of the LCP (Least Commitment Principle) permits the construction of a unique bba';
k=k+1;stored_text{i}{k} = 'which share the same BetP as the one entered (isopignistic).';
k=k+1;stored_text{i}{k} = 'The induced belief function happens to be a consonant belief function (a necessity function).';
k=k+1;stored_text{i}{k} = 'and is the q-LC Isopignistic solution.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Those singletons which get no BetP receive a BetP = 0.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'If the sum of the BetP is < 1, the unallocated part is spread among all the singletons.';
k=k+1;stored_text{i}{k} = 'If n = nbr singletons, and a = the unallocated mass, then a/n is added to the BetP given to each singleton.';


i=52; % pl + LCP
k = 0;
k=k+1;stored_text{i}{k} = 'Bba generated from pl on singletons and LCP';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'You enter for some/all singleton the value of pl.';
k=k+1;stored_text{i}{k} = 'The application of the LCP (Least Commitment Principle) permits the construction of a unique bba';
k=k+1;stored_text{i}{k} = 'which share on the singletons the same pl values as the one entered (Isoshadow).';
k=k+1;stored_text{i}{k} = 'The induced belief function happens to be a consonant belief function (a necessity function).';
k=k+1;stored_text{i}{k} = 'and is the q-LC Isoshadow solution.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Those singletons which get no pl receive a pl = 1.';


% i=53; % delete potential in bp editor
% k = 0;
% k=k+1;stored_text{i}{k} = 'Delete Potentials';
% k=k+1;stored_text{i}{k} = '';
% k=k+1;stored_text{i}{k} = 'You get a list of available potentials for the present belief object.';
% k=k+1;stored_text{i}{k} = 'Each potential gets a label with its number, name, and the list of forms stored for that potential.';
% k=k+1;stored_text{i}{k} = 'To delete potentials, just multi-select them in the list.';


i=54; % editing focal sets with sets or logical expressions
k = 0;
k=k+1;stored_text{i}{k} = 'Selecting between editing focal sets with sets or logical expressions.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'To edit the focal sets and their masses, you can edit them by redefining ';
k=k+1;stored_text{i}{k} = '- the elements that belong to the set';
k=k+1;stored_text{i}{k} = '- the logical expression used to define the set';
k=k+1;stored_text{i}{k} = 'Second case only if focal set was initially defined by a logical expression.';

i=55 ; % bp edit figure
k = 0;
k=k+1;stored_text{i}{k} = 'Belief Potential Editor Window : logical expression mode.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'For the selected belief potential, TBMLAB looks for a form.type = ''m''';
k=k+1;stored_text{i}{k} = 'If there is no m, it creates it.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'List:  for each focal set, its number, its mass, its logical expression when there is one.';
k=k+1;stored_text{i}{k} = 'You select those focal set to edit (only those with a logical expression).';
k=k+1;stored_text{i}{k} = 'For each selected case, you get the Logical Expression Editor window (the one used for creating a logical epxression).';
k=k+1;stored_text{i}{k} = 'You can clear the expression and create a new one, type into the formula (dangerous), put the cursor in the formula and use the menu buttons (dangeous too).';
k=k+1;stored_text{i}{k} = 'You can also just keep it and change the mass.';
k=k+1;stored_text{i}{k} = 'Change are saved once you select Quit and Save';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'To edit only the masses, use the Set mode, it is usualy simpler.';

i=56; % CI + discrete
k = 0;
k=k+1;stored_text{i}{k} = 'Building bba when some variable frames are continous or integers.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'You can allocate masses to special focal sets only.';
k=k+1;stored_text{i}{k} = 'There are D (disccrete) variables and CI (continuous or Integers) variables';
k=k+1;stored_text{i}{k} = 'A focal set is the union of several layered rectangles.';
k=k+1;stored_text{i}{k} = 'A layered rectangle is defined by one element in the D domain, and an interval for each CI variable';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Example: D variables are D1 (elements A,B) and D2 (elements X1,X2,X3). D domain has 6 elements.';
k=k+1;stored_text{i}{k} = 'CI variables are Cont (reals from 0 to 100) and Int (integers from 0 to 10).';
k=k+1;stored_text{i}{k} = 'A focal set based on 3 rectangles is made of the union of the next 3 rectangles:';
k=k+1;stored_text{i}{k} = 'D1 = A, D2 = X3, Cont = [5,25] Int = [3 6]';
k=k+1;stored_text{i}{k} = 'D1 = A, D2 = X2, Cont = [8,40] Int = [4 9]';
k=k+1;stored_text{i}{k} = 'D1 = B, D2 = X2, Cont = [2,21] Int = [0 7]';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Buttons are:';
k=k+1;stored_text{i}{k} = 'FocalSet: Done : the focal set has been entered.';  % = end_foset
k=k+1;stored_text{i}{k} = 'mass OK : the mass given to the last built focal set is OK, and entered'; % = mass
k=k+1;stored_text{i}{k} = 'bba OK : the bba (all mases) for this potential has been entered';  % = bp
k=k+1;stored_text{i}{k} = 'Cancel : ';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Procedure.';
k=k+1;stored_text{i}{k} = 'To build a focal set, you select the button to the left of an element in the D space.';
k=k+1;stored_text{i}{k} = 'The red color of the button means: this element belongs to the focal set.';
k=k+1;stored_text{i}{k} = 'After selecting a new element for the focal set, you enter into the left figure, and must adapt the limits of the intervals.';
k=k+1;stored_text{i}{k} = 'Once done, click on red button with Intervals OK.';
k=k+1;stored_text{i}{k} = 'If the element had been selected previously (button is red), reselecting it means, element out of focal set.';
k=k+1;stored_text{i}{k} = 'To change its intervals, select it again and enter the new interval limits.';
k=k+1;stored_text{i}{k} = 'When clicking on the Intervals OK button, you are back into the right window, ready for selecting a new element,';
k=k+1;stored_text{i}{k} = 'or deleting one, or acepting the focal set in its present state (button FocalSet Done).';
k=k+1;stored_text{i}{k} = 'Button mass OK = the displayed mass is OK';
k=k+1;stored_text{i}{k} = 'Button bba OK = all the masses have been entered, and the bba is OK. Unallocated mass goes to the universe.';
k=k+1;stored_text{i}{k} = 'Button Cancel = the construction of the bba is cancelled.';
k=k+1;stored_text{i}{k} = 'Menu File/Quit: same as cancel (the only way to leave and to save the new data is with the bba OK button).';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'When displaying an already created bba,'; 
k=k+1;stored_text{i}{k} = '- to delete a foccal set, put its mass = 0,';
k=k+1;stored_text{i}{k} = '- to change the mass, retype it,'; 
k=k+1;stored_text{i}{k} = '- to add a foccal set, go thru all the already created ones and then create the new ones.';
k=k+1;stored_text{i}{k} = 'You cannot say ''clear remainder focal sets'', you must go thru all old ones one by one.';		

i=57; % results GBT on man y CI univar 
k = 0;
k=k+1;stored_text{i}{k} = 'Displaying results of a GBT on variables based on a continuous or integer frame';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'You get four panels.';
k=k+1;stored_text{i}{k} = 'UR panel: the list of conditional potentials involced, with the nature of the pdf, its parameters, and the label of the elements';
k=k+1;stored_text{i}{k} = 'LL panel: the pdf of the max 5 most probable hypoithesis';
k=k+1;stored_text{i}{k} = 'LR panel: the list of the max 10 most probable hypotheses, with their BetP values.';
k=k+1;stored_text{i}{k} = 'UL panel: a plot of the max 10 most probable elements, with their Bel, BetP, Pl values';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The observation (a point or an interval) is mentioned in the LL panel';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The meaning of the a and b parameters depend on the pdf.';
k=k+1;stored_text{i}{k} = 'pdf = binomial: a = p, b = n';
k=k+1;stored_text{i}{k} = 'pdf = beta: a = a, b = b';
k=k+1;stored_text{i}{k} = 'pdf = gamma: a = t, b = n ';
k=k+1;stored_text{i}{k} = 'pdf = gaussian: a = mean, b = standard deviation';
k=k+1;stored_text{i}{k} = 'pdf = laplace: a = mode, b = scaling factor';

i=58; % selection in one existing list
k = 0;
k=k+1;stored_text{i}{k} = 'Selecting one or several objets of same nature.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'For seleting one item, click on it, and accept with Done button';
k=k+1;stored_text{i}{k} = 'For seleting many items, use Cmd-Click/Right-Clik to selecct them. Accept with Done button';
k=k+1;stored_text{i}{k} = 'Cancel button, nothing done, operation ancelled';

i=59; % application classifier with repeated data see self_repeating_sensor.m
k = 0;
k=k+1;stored_text{i}{k} = 'CLASSIFIER - correlated data and fading memory.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'CORRELATED DATA.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'THE ISSUE. The sensor looks at the same target and communicates the same information over and over. ';
k=k+1;stored_text{i}{k} = 'In that case, the first data is usefull but not the next ones as they are just the same as the first one.';
k=k+1;stored_text{i}{k} = 'Using Dempster rule of combination is inappropriate as the rule concerns only distinct pieces of evidence, what is not the case here. The correct combination rule is the cautious combination rule.';
k=k+1;stored_text{i}{k} = 'The cautious conjunctgive combination rule is an idempotent, associative and commutative combination rule that replaces Dempster rules when data are correlated.';
k=k+1;stored_text{i}{k} = 'The real issue is when communiaated data are not identical but only ''almost'' identical, and that maybe suddenly they change completely (sensor reports on another object, or collects new data that change its conclusions).';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'FADING MEMORY;';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'THE ISSUE. Old data may become irrelevant to the target observed now (as if the sensor was observing another target).';
k=k+1;stored_text{i}{k} = 'So we should find a way to ''dilute'', to ''discount'' past data, to weight them less than the new ones.';
k=k+1;stored_text{i}{k} = 'The problem is to find a way to keep the system markovian so we do not need to store the whole past.';
k=k+1;stored_text{i}{k} = 'This is achieved when the weights obey to some autoregressive schema.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'THE ILLUSTRATIVE EXAMPLE.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The targets are ships, and there are 5 different ships (5 classes). The measurement is the length of the observed  ship.';
k=k+1;stored_text{i}{k} = 'The probability distributions (pdf) of the length of the ships are gaussian with means 10, 20, 30, 40, 50, respectively, and sd = 5.'; 
k=k+1;stored_text{i}{k} = 'At time 1, there were two ships of length 10 and 20, respectively, thus one from class 1 and one from class 2.';
k=k+1;stored_text{i}{k} = 'But the two ships where next to each other and the sensor could not recognize there are 2 ships. For it, it is one ship of length 30 (class 3).';
k=k+1;stored_text{i}{k} = 'Almost identical data ere collected at t2, t3, t4 and t5 (see upper plot)';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The middle plot shows BetP as computed from a model which is adapted for repeated correlated data (based on the cautious combination rule) with fading memory (new data have more weight that old ones). ';
k=k+1;stored_text{i}{k} = 'The bottom plot shows BetP as computed from a model that considers sucessive data as independent (Dempster combination) and no fading memory (all past data are equaly weighted at every time)';
k=k+1;stored_text{i}{k} = 'The colors of the lines correspond to those of the pdf''s, so red is class 1, black is class 2, blue is cclass 3.';
k=k+1;stored_text{i}{k} = 'Up to time t5, the sensor is fooled and considers that the ship belongs to class 3. The successive data repeated the same measurement as the sensor is measuring always the same inforamtion.';
k=k+1;stored_text{i}{k} = 'In the first analysis, BetP stays constant after collecting the data at t_1, as the new data does not tell anything new.';
k=k+1;stored_text{i}{k} = 'In the second analysis, BetP for class 3 increases strongly as the accumulation of data reinforces the certainty of class 3, as data are claimed to be independent when in fact they are just repetition of the same information.';
k=k+1;stored_text{i}{k} = 'The erroneous assumption of independence creates an unjustified certainty.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Then at time t_6, the ships move apart from each other and the sensor focusses itself on ship 1 (a class 1 ship).';
k=k+1;stored_text{i}{k} = 'The first analysis begin by thinking the ship is a class 2 as its length was 30 and also 10, so the possible answer is class 2 (in between).';
k=k+1;stored_text{i}{k} = 'But soon past data are weighted down because of the fading memeoy, and length 30 data become forgotten. Therefore the sensor free itself of past erroneuous data, and progressively concludes that the ship is a class 1.';
k=k+1;stored_text{i}{k} = 'In the second analysis, past data are not weighted down, and therefore the sensor keeps thinking erroneously that the ship is a class 2.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'THis example shows the interest of an idempotent combination rule and a method for weighting down past data (which is still markovian to avoid the necessity of storing all past data).';
k=k+1;stored_text{i}{k} = 'These two rules are part of the TBM, but still unpublished.';

i=60; % later
k = 0;
k=k+1;stored_text{i}{k} = 'SENSORS - Granularity, Communication, Knowledge.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Varying granularity: domain granularity varies from sensor to sensor.';
k=k+1;stored_text{i}{k} = 'Limited communication capacity: sensor communicates only a few likelihoods. ';
k=k+1;stored_text{i}{k} = 'Limited knowledge: some likelihoods unknown.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'EXPLAINING THE ISSUE. As an illustrative example, suppose we have 5 car models: Golf, Polo, Passat, Audi A4, Audi A6.';
k=k+1;stored_text{i}{k} = 'One sensor could report on the five cars, another could only differentiate between VW (the first 3 cases) and Audi (suppose the sensor can only read the brand name).';
k=k+1;stored_text{i}{k} = 'The two sensors work on different granularities.';
k=k+1;stored_text{i}{k} = 'Suppose each sensor measures one characteristic. It computes the likelihoods and should communiccate them to the Data Fusion Center.';
k=k+1;stored_text{i}{k} = 'But sensor 1 does not communicate the 5 likelihoods, only 3 of them, the 3 largest ones (beause of some limited bandwith in the communiation channels)';
k=k+1;stored_text{i}{k} = 'Furthermore, the likekihoods are unknwon for the Passat (Passat did not exist when the sensor 1 was built).';
k=k+1;stored_text{i}{k} = 'Even though the data are ''messy'', we can proceed within the TBM.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'PRESENTED EXAMPLE';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'We have 5 sensors and the most refined domain is made of 15 hypotheses (h_1 to h_15)';
k=k+1;stored_text{i}{k} = 'The 5 sensors report about the same and unique target.';
k=k+1;stored_text{i}{k} = 'Observation domains different for each sensor.';
k=k+1;stored_text{i}{k} = 'Observations are independent and normaly distributed with (m,sd) that depend on the sensor and the hypothesis cluster.';
k=k+1;stored_text{i}{k} = 'Communicated likelihood are collected at the Fusion Center which is in charge for the integration of the data.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'VARYING GRANULARITY';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'THE ISSUE. Belief funtions are defined on a frame of discernemnt W, a finite set of elements. For the example let W = {w1, w2,...,w5 },';
k=k+1;stored_text{i}{k} = 'Suppose a partition of W which elements are {w1,w2}, {w3}, {w4,w5}. The new space with 3 elements is called a caorsening of W, let us denote it Wc1.';
k=k+1;stored_text{i}{k} = 'So Wc1 = {wc11, wc12, wc13} where wc11 = {w1,w2}, wc12 = {w3} and wc13 = {w4,w5}.';
k=k+1;stored_text{i}{k} = 'We can also imagine a different coarsening Wc2 with 2 elements wc21 = {w1,w4,w5} and wc22 = {w2,w3}.';
k=k+1;stored_text{i}{k} = 'Suppose we have 3 belief functions, one on W, one on Wc1, one on Wc2. Combining them is achieved by the application of the ''vacuous extension'' operation.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'OUR EXAMPLE. The domain on which a sensor reports is a coarsening of the full domain H with 15 hypotheses h1 to h15.';
k=k+1;stored_text{i}{k} = 'The elements of the domain of a sensor (called an hypothesis cluster) are the elements of a partition of the set of hypotheses.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Sensor 1: it distinguishes between 4 hypothesis clusters: ';
k=k+1;stored_text{i}{k} = 'cluster 1: h1, h2, h3, h4.   m = 100, sd = 20.';
k=k+1;stored_text{i}{k} = 'cluster 2: h5, h6, h14, h15. m = 130, sd = 20.';
k=k+1;stored_text{i}{k} = 'cluster 3: h7, h8, h9, h10.  m = 160, sd = 20.';
k=k+1;stored_text{i}{k} = 'cluster 4: h11, h12, h13.    m = ???, sd = ??? (it means: sensor 1 never been trained on targets h18,...,h25).';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Sensor 2: it distinguishes between 3 hypothesis clusters: ';
k=k+1;stored_text{i}{k} = 'cluster 1: h1, h2, h3, h4, h7, h8. m = ???, sd = ???.';
k=k+1;stored_text{i}{k} = 'cluster 2: h9, h10, h11, h12.      m = 500, sd = 30.';
k=k+1;stored_text{i}{k} = 'cluster 3: h5, h6, h13, h14, h15.  m = 600, sd = 70.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Sensor 3: it distinguishes between 10 hypothesis clusters: ';
k=k+1;stored_text{i}{k} = 'cluster 1: h1, h2.         m = 10, sd = 5.';
k=k+1;stored_text{i}{k} = 'cluster 2: h3, h4.         m = 20, sd = 5.';
k=k+1;stored_text{i}{k} = 'cluster 3: h5, h6.         m = 30, sd = 5.';
k=k+1;stored_text{i}{k} = 'cluster 4: h7, h8.         m = 40, sd = 5.';
k=k+1;stored_text{i}{k} = 'cluster 5: h9, h10.        m = 50, sd = 5.';
k=k+1;stored_text{i}{k} = 'cluster 6: h11, h12.       m = 60, sd = 5.';
k=k+1;stored_text{i}{k} = 'cluster 7: h13, h14, h15.  m = 70, sd = 5.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Sensor 4: it distinguishes between the 15 hypotheses.';
k=k+1;stored_text{i}{k} = 'for h_i, mean = 5*i, sd = 3';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Sensor 5: it distinguishes between 2 hypothesis clusters: ';
k=k+1;stored_text{i}{k} = 'cluster 1: h1, .., h7.  m = 40, sd = 40.';
k=k+1;stored_text{i}{k} = 'cluster 2: h8,.., h15.  m = 80, sd = 40.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'LIMITED COMMUNICATION CAPACITY';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'A sensor can only transfer a limited number of likelihoods.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'THE ISSUE. In order to avoid overloading the communication channels, the senors limit themselves in communication the most relevant likelihoods (the largest ones).';
k=k+1;stored_text{i}{k} = 'Hence the Fusion Center must be able to cope with this limited information. All it knows is that the missing likelihoods are smaller or equal to the smallest collected.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'OUR EXAMPLE. Sensor 3 and 4 transfer only the 5 largest likelihoods to the Fusion Center.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'LIMITED KNOWLEDGE';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'Some sensor may have never been trained for recognizing some kinds of targets.';
k=k+1;stored_text{i}{k} = 'For these hypotheses, the likelihoods are undefined.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'THE ISSUE. Several likelihoods may be undefined as the cconditional distribution/belief about the observations given these hypotheses are unknwon.';
k=k+1;stored_text{i}{k} = 'Suppose the ennemy has developed a new airplane and for that airplane, you are ignorant about the possible values of the characteristic measured by the sensor.';
k=k+1;stored_text{i}{k} = 'It is equivalent to the case where the sensor has never been trained to reognize some given objects.';
k=k+1;stored_text{i}{k} = ' In those case, the likelihoods are undefined. Still the Fusion Center must be able to cope with such undefined likelihoods.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'OUR EXAMPLE. It is the case for sensors 1 (cluster 4) and 2 (cluster 1).';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'OBSERVATIONS';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The data observed by each sensor are imprecise and given by the next intervals (represented by the blck bars in the pdf plots).';
k=k+1;stored_text{i}{k} = 'Sensor 1: [150-165]';
k=k+1;stored_text{i}{k} = 'Sensor 2: [500-530]';
k=k+1;stored_text{i}{k} = 'Sensor 3: [46-50]';
k=k+1;stored_text{i}{k} = 'Sensor 4: [38-71]';
k=k+1;stored_text{i}{k} = 'Sensor 5: [85-90]';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'DATA DISPLAYED IN THE WINDOW';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'We present : ';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'The list of the 15 possible hypotheses.';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'For each sensor: the number of transferred likelihoods and';
k=k+1;stored_text{i}{k} = 'the hypothesis clusters: the hypotheses in the same cluster share the same color. Hypothesis unmentioned are those for which likelihoods are undefined because of the limited knowledge.';
k=k+1;stored_text{i}{k} = 'the pdf for the clusters for which likelihoods are defined (colors make the links between pdf and clusters). ';
k=k+1;stored_text{i}{k} = 'the observed data represented by intervals (the black bars in the pdf plots).';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'At bottom, a plot giving for each hypothesis h_i, i=1,...,15, the value of BetP(h_i) (red line) and the normalized plausibilities Pl(h_i) (blue line).';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'CONCLUSIONS';
k=k+1;stored_text{i}{k} = '';
k=k+1;stored_text{i}{k} = 'After data fusion: hypothesis h_8 is the best supported hypothesis as it has the largest pignisitc probability (note that plausibility supports other hypotheses).';


i=61; % later
k = 0;
k=k+1;stored_text{i}{k} = 'Explaining Results';
