function [text,k] = text_menu_help(selection)
% producing the text for the help of each menu
% used in run_menu_help
% For the menu in Help add an extra H at end of its label

%
%   Version : Dec 31,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

text = [];
k = 0;
switch selection

case 'Open'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Open Files';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Can be applied to open :';
	k=k+1;text{k} = '   - binary files where previous data have been saved, extesnion = obj';
	k=k+1;text{k} = '   - batch mode ascii files where instructions are entered from an external form, extension = batch';
	k=k+1;text{k} = 'Once Load menu has been used successfully, it cannot be reused during the same session.';
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'Case : Binary Files';	
	k=k+1;text{k} = 'TBMLAB loads the data you have saved from a previous session.';
	k=k+1;text{k} = 'To be used if you have already created data, and want to use them now.';
	k=k+1;text{k} = 'It asks you the name of the folder where data are saved';
	k=k+1;text{k} = 'Loaded data = frame, strucure, mapping, attribute, variable, belief object';
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'Case : Batch Mode';		
	k=k+1;text{k} = 'Instructions for building all the objects are entered with a form created with any text editor.';
	k=k+1;text{k} = 'Syntax for requests detailed in the User Guide.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Open can only be used once in one tbmlab execution';
	
	% case 'Binary Data'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Open File with Binary Data';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'TBMLAB loads the data you have saved from a previous TBMLAB session.';
	% 	k=k+1;text{k} = 'To be used if you have already created data, and want to use them now.';
	% 	k=k+1;text{k} = 'It asks you the name of the folder where data are saved';
	% 	k=k+1;text{k} = 'It loads all available files that are in that folder';
	% 	k=k+1;text{k} = 'Loadable files are the frame, strucure, mapping, attribute, variable, belief files';
	% 	
	% case 'Batch Mode'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Open File with Batch Mode Intstructions';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Instructions for running TBMLAB are entered with a form created with any text editor.';
	% 	k=k+1;text{k} = 'Syntax for requests detailed in the User Guide.';
	
case 'Save'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Save';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Save on file all objects in binary form.';
	k=k+1;text{k} = 'Data can be recovered with the Open menu.';
	
	% case 'Save As'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Save As';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Save on a new file all objects in binary form.';
	% 	k=k+1;text{k} = 'Data can be recovered with the Open/Binary Data menu.';
	
case 'Print Report'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Printing report on data on Command Window or a file.';
	
case 'Quit'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Quit';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The official way to leave TBMLAB and go back to MATLAB.';
	k=k+1;text{k} = 'Every window is closed, and you are back to Matlab Command Window';
	k=k+1;text{k} = 'No file is saved during this procedure, so you are asked to confirm your request.';
	k=k+1;text{k} = 'If you want to save data, just cancel the option, save your data and repeat the Quit request then.';
	
	% case 'Frame'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Frame';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'A frame is a set of elements. The domain of an attribute index and of a varaible is a frame.';
	% 	k=k+1;text{k} = 'Example : the inegers frolm 0 to 120.';
	
	% case 'Structure'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Structure';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'A set of frames where frames are interrelated through mappings.';
	% 	k=k+1;text{k} = 'Example : the frame integers from 0 to 120, and the frame made of the 3 classes old, medium, young.'; 
	% 	
	% case 'Attribute'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Attribute';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Defined by a structure and its indexes, themselves defined by their frames.';
	% 	k=k+1;text{k} = 'Example : the age of a person.';
	% 	
	% case 'Variable'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Variable';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'A belief is always defined on the product space mlade by several variables.';
	% 	k=k+1;text{k} = 'A variable is defined by its an attribute, its frame and the values of the attribute indexes.';
	% 	k=k+1;text{k} = 'Example : the age of John expressed in years.';
	
case 'Variables'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Editor for creating variables.';	
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Editor for Frame, Structure, Attribute, Variable';
	k=k+1;text{k} = 'For these four objects, you get the list of those existing.';
	k=k+1;text{k} = 'You can create new ones, edit them, and delete them.';
	k=k+1;text{k} = 'Options controlled with the menus.';
	
case 'Natural frames'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Get natural frames';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'An easy way to generate frames.';
	k=k+1;text{k} = 'You get a window with a list of classical frames.';
	k=k+1;text{k} = 'Their properties (names, cardinality, elenents names) are provided by TBMLAB.'; 
	k=k+1;text{k} = 'Each can be selected by clicking on the corresponding button located on its left';
	k=k+1;text{k} = 'You can select all those * unmarked by choosing the last option';
	k=k+1;text{k} = 'For the * marked options, you will have to answers extra questions.';
	
case 'Logical propositions'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Get logical propositions';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'You get at once N variables that represent N logical propositions.';
	k=k+1;text{k} = 'You enter N, then default names are proposed that you can change.';
	k=k+1;text{k} = 'Use short short_names, just 1 to 3 characters, and use full_names to store their detailed real names.';
	k=k+1;text{k} = 'If logical frame and strucutre did not exist, they are created automatically.';
	
case 'Mapping NA'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Mapping NA';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = ' ';
	
case 'Belief'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Belief';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The object that stores the belief function (or any of its tarnsformations) relative to a set of variables.';
	k=k+1;text{k} = 'Made of several belief potentials if beliefs are conditional or one belief potential if belief is not conditional.';	
	k=k+1;text{k} = 'A belief potential is made of several forms which can be any of m, b, bel, pl, q, wc, wd, BetP.';  	
	k=k+1;text{k} = 'Focal sets can be either ordered or selected. A subset is stored as a number, the on bits indicating which elements belong to the set.';	
	
case 'Data Verification'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Data Verification';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'TBMLAB checks that every object is syntactically correct.';
	
case 'Clear unused beliefs'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Clear unused beliefs';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Belief objects that are no more necessary are deleted from memory.';
	k=k+1;text{k} = 'Useful on Mac and PC, not on Unix, to get memory space back.';
	
	% case 'All Menus Active'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'All Menus Active';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Normaly TBMLAB dims the menus that should not be temporarily selected.';
	% 	k=k+1;text{k} = 'The option Enable Menus kills this option.';
	% 	k=k+1;text{k} = 'You should not use it as the disabling of some menus is useful in order to prevent you to choose an inadequate menu.';
	% 	k=k+1;text{k} = 'It is a protection against crashes. You can nevertheless re-enable all the menus, but at your own risk.';
	% 	k=k+1;text{k} = 'This action cannot be canceled. Once menus are enable, they stay so for the whole session.';
	
case 'Objects on Cmd_Window'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Objects displayed on screen';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'All objects are listed with their values. Results are displayed on the MATLAB Command Window.';
	
case 'Objects in file'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Objects saved on file';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'All objects are listed with their values. Results are saved on a file and can be loaded by text editors.';
	% % % 	
	% % % case 'All object fields'
	% % % 	k=k+1;text{k} = ' ';
	% % % 	k=k+1;text{k} = 'Show all object fields';
	% % % 	k=k+1;text{k} = ' ';
	% % % 	k=k+1;text{k} = 'Show object fields, hardly readable,very long, but may be useful for debugging.';
	
case 'Fields on Cmd_Window'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Fields for all objects listed on screen';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'All object fields are listed on the MATLAB Command Window.';
	
case 'Fields in file NA'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Fields for all objects saved on file';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'All object fields are saved on a file and can be loaded by text editors.';
	
case 'Field on Cmd_Window'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Fields for one object listed on screen';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'One object fields are listed on the MATLAB Command Window.';
	
case 'Field in file NA'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Fields for one object saved on file';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'One object fields are saved on a file and can be loaded by text editors.';
	
case 'Help Texts'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Print Helps';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'All help texts are printed.';
	k=k+1;text{k} = 'Can be used as a notebook.';
	
case 'Object Road Map'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Object Road Map';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'A tree presentation of the objects, starting from the belief object, the list of its variables,';
	k=k+1;text{k} = 'for each variable, its attribute, its frame';
	k=k+1;text{k} = 'for each attribute, its structures and indexes frames.';
	k=k+1;text{k} = 'Usefuil to remember which object is related to which other.';
	
case 'Hide Windows'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Hide all tthe TBMLAB windows';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'All windows are made invisible, but still exist.';
	k=k+1;text{k} = 'Useful to view and work on other windowss.';
	k=k+1;text{k} = 'When hiding all the TBMLAB windows, you get a new little colored window.';
	k=k+1;text{k} = 'Move it around but keep it accessible as you will need it to get the windows back.';
	k=k+1;text{k} = 'Windows brought back by selecting the colored window.';
	
	% case 'Close Window Button Active'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Close Window Button Active';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Made the button for closing windows active.';	
	% 	k=k+1;text{k} = 'Normaly TBMLAB forbids you to close its windows (you can hide them, but not close them)';	
	% 	k=k+1;text{k} = 'Nevertheless you can reactivate the button for closing windows.';	
	% 	k=k+1;text{k} = 'If you close a wondow and TBMLAB needs it, it crashes.';	
	% 	k=k+1;text{k} = 'DON''T USE IT or be ready for a forthcoming crash.';	
	
case 'Run a .m fct'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Run a .m fct';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'When data must be read from an external data base or must be generated by a program,';
	k=k+1;text{k} = 'you must write a special purpose MATLAB .m function.';
	k=k+1;text{k} = 'This function reads the data from the external data base';
	k=k+1;text{k} = 'and/or builds the various objects (like frame, attribute, variable, belief...) required by TBMLAB.';
	k=k+1;text{k} = 'When the function is implemented, you can call that function from here.';
	k=k+1;text{k} = 'You only input its name (without the .m extension). Be sure its path is known to MATLAB.';
	k=k+1;text{k} = 'TBMLAB will excecute it using eval(the_name_of_your_function).';
	k=k+1;text{k} = 'The data can be transferred into TBMLAB through the next global statement:';
	k=k+1;text{k} = 'global frame structure mapping attribute variable belief';
	
case 'Valuation Base Systems (Dir/UnDir)'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Undirected and Directed Valuation Base System';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The Valuation Base System is a propagation algorithm developed by P. Shenoy, and based on the Joint Binary Trees.';
	k=k+1;text{k} = 'The Undirected form uses beliefs defined on the joint spaces made by several variables.';
	k=k+1;text{k} = 'The Directed form uses conditional beliefs defined on the joint spaces made by several variables.';
	k=k+1;text{k} = 'User introduces the list of belief objects to be combined, and the set of variables on which marginalization is requested.';
	k=k+1;text{k} = 'TBMLAB recognizes if belief potentials are Joint (Undirected) or Conditonal (Directed) and acts appropriately.';
	
case 'Graphical Method'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Graphical Method';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'You enter the graphical method for entering data and propagating beliefs.';
	k=k+1;text{k} = 'You can :';
	k=k+1;text{k} = 'draw the evidential network (EVN), node by node or all nodes together,';
	k=k+1;text{k} = 'enter new variables and new beliefs,';
	k=k+1;text{k} = 'move nodes in the plot, zoom in and out the graph,';
	k=k+1;text{k} = 'propaget beliefs through the network,';
	k=k+1;text{k} = 'display the pignistic probabilities for each variable as a bar chart,';
	k=k+1;text{k} = 'dispkay details about the beliefs given to a variable,';
	k=k+1;text{k} = 'save EVN and reload previous EVN.';	
	
	% case 'Distinct Combination'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Distinct Combination';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Algorithm to perform the combination of the belief induced by distinct sources.';
	% 	k=k+1;text{k} = 'Beliefs may be defined on different frames of discernement, vacuous extensions bring them back to a common frame.';
	% 	
case 'Distinct AND'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Distinct Combination with AND only';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Algorithm to perform the conjunctive combination of the belief induced by distinct sources.';
	k=k+1;text{k} = 'Beliefs may be defined on different frames of discernement, vacuous extensions bring them back to a common frame.';	
	
case 'Distinct OR'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} =  'Distinct Combination with OR only';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Algorithm to perform the disjunctive combination of the belief induced by distinct sources.';
	k=k+1;text{k} = 'Beliefs may be defined on different frames of discernement, vacuous extensions bring them back to a common frame.';
	
case 'Distinct mixed'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Distinct Combination mixing AND, OR and negation.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Algorithm to perform a mixture of conjunctive and disjunctive combinations of the belief induced by distinct sources.';
	k=k+1;text{k} = 'Negated beliefs are also accepted.';
	k=k+1;text{k} = 'Beliefs may be defined on different frames of discernement, vacuous extensions bring them back to a common frame.';
	
case 'Cautious Combination'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Cautious Combination: and-form only';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'When the sources producing the beliefs are not distinct and their correlation is known, combination is immediate.';
	k=k+1;text{k} = 'When the sources producing the beliefs are not distinct and their correlation is not known, we compute their most cautious combination.';
	k=k+1;text{k} = 'This combination rule is commutative, associaitve and idempotent.';
	k=k+1;text{k} = 'It can work both for conjuncitve and disjunctive combinations, but TBMLAB implements only its conjunctive form.';
	
case 'GBT: X/T both discrete'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Applying the Generalized Bayesian Theorem (GBT)';
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'Given:';
	k=k+1;text{k} = '1: the conditonal belief over an observation space X for each element of a frame T of hypotheses,';
	k=k+1;text{k} = '2: an observation on X. It may be ''noisy'' in which case, we have a bba on X.';
	k=k+1;text{k} = '3: an a priori belief on T. It may be a vacuous bba, or any bba on T.';	
	k=k+1;text{k} = 'find the belief induced on T given one has observed x subset of X.';
	k=k+1;text{k} = 'Beware: X and H are discrete variables, not Continuous, not Integers.';
	k=k+1;text{k} = '';	
	k=k+1;text{k} = 'When the conditional belief can be accepted as induced by distinct pieces of evidence';
	k=k+1;text{k} = '(the underlying assumption for the applicability of the GBT),';	
	k=k+1;text{k} = 'the result is computed with the GBT ';	
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'You select the belief object containing all the conditioning potentials on X given t in T,'; 
	k=k+1;text{k} = ';and a subset of X or a belief object on X, and a belief objet on T if a priori is not vacuous.';
	k=k+1;text{k} = 'You get the bba, wc, BetP on T given the conditioning event.';
	k=k+1;text{k} = '';
	k=k+1;text{k} = 'Limitations: no more than 18 elements in T and X space as we use the FMT.';
	k=k+1;text{k} = 'This is a very general GBT, but limited in capacity. Good for studying the GBT.';
	
case 'GBT: X Cont-Int, T Discr'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Applying the Generalized Bayesian Theorem (GBT)';
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'Given the conditonal belief over an observation space X for each element of a frame T of hypotheses,';
	k=k+1;text{k} = 'find the belief induced on T given one has observed x, an interval or a point in X.';	
	k=k+1;text{k} = '';
	k=k+1;text{k} = 'Beware: X is based on a Continuous or Integers frame, ';
	k=k+1;text{k} = 'and the conditional belief on X is given by a pdf (probability density funtion).';
	k=k+1;text{k} = 'T and X variables must be each univariate. T must be finite.';
	k=k+1;text{k} = '';
	k=k+1;text{k} = 'Limitations:';
	k=k+1;text{k} = 'If the pdf is a bba : pdf can be binomial, beta, gamma, gaussian or laplace.';
	k=k+1;text{k} = 'If the pdf is a Betf: pdf can be gaussian or laplace.';
	k=k+1;text{k} = '';
	k=k+1;text{k} = 'When the conditional potentials are accepted as induced by distinct pieces of evidence,';	
	k=k+1;text{k} = 'the result is computed with the GBT. Were it not the case, the GBT is not appropriate. ';	
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'You select the belief object containing all the conditioning potentials on X given each element t_i of T, and an interval or a point in X.';
	k=k+1;text{k} = 'You get the wc and BetP on T given the conditioning interval or point.';
	k=k+1;text{k} = 'Cardinality of T = several huindreds is acceptable, but entering all the potentials would be pratically impossible, so use Batch_Mode with a RUN option.';
	k=k+1;text{k} = 'Building all the objects is VERY slow (20 sec for 100, 150 sec for 300, 450 sec for 500), but computing the BetP takes .5 to 1.2 second.';
	
case 'TBM Tabulator'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'A TBM oriented tabulator that performs on line computation on belief potentials.';
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'Intended for computing potentials on one or two frames. Frame cardinality small (<12)';
	k=k+1;text{k} = 'You get a whole screen window containing a large tabulator, a header with helps, and a bottom window for controi.';	
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'Hereafter:';
	k=k+1;text{k} = '- n is an integer representing the cardinality of the frame';
	k=k+1;text{k} = '- a is any symbol, element of the frame labels are made of the ascii codes that follow a.';
	k=k+1;text{k} = '- x,xi are cell locations: i,j (if x = j, then i = 1). Location of generating instruction of a potential.';
	k=k+1;text{k} = '- out is a potential form.';
	k=k+1;text{k} = 'In the tabulator, you type in instructions that are immediately excecuted. You can:';	
	k=k+1;text{k} = '- create the labels of the frame of discernement with label(n;a)';	
	k=k+1;text{k} = '- generate a random bba with bba(n)';	
	k=k+1;text{k} = '- type in a potential with key(n;out)';	
	k=k+1;text{k} = '- compute the various forms with op(x) where op is one of {m,b,q,bel,pl,wc,wd,betp}.';	
	k=k+1;text{k} = '- compute con/dis-junctive combinations of several potentials: ccr(x1;...;xn;out), dcr(x1;...;xn;out)';	
	k=k+1;text{k} = '- apply GBT to several conditional potentials, with prior potential: gbt(x1;...;xn;xprior;conditioning_event,out)';	
	k=k+1;text{k} = '- apply DRC to several conditional potentials, with prior potential: drc(x1;...;xn;xprior;out)';	
	k=k+1;text{k} = '- discount a potential: disc(x;dc;out)';	
	k=k+1;text{k} = '';
	k=k+1;text{k} = 'Numerical data can be saved: in file tbm_tabulator_data, ASCII, tab delimiter, can be open by Excel.';
	
case 'Get New Forms'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Get New Forms';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Prodcuing various forms of beliep potentials.';
	k=k+1;text{k} = 'When one form is stored and another one is requested, this task is performed by this menu.';
	k=k+1;text{k} = 'We can thus generate any of m, b, bel, pl, q, wc, wd from any other one, and store the result.';
	
case 'Extension/Marginalization'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Change frame: marginalization and vacuous extension.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Given of belief define on space X, build a belief on space Y.';
	k=k+1;text{k} = 'Done by marginalization on X intersect Y';
	k=k+1;text{k} = 'followed by a vacuous extension on Y';
	k=k+1;text{k} = 'If X intersect Y empty, just a vacuous extension.';
	k=k+1;text{k} = 'If Y subset X, just a marginalization.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'If belief object ccconcerns conditional beliefs, done for every potential.';
	k=k+1;text{k} = 'Outcome stored in a new belief, short_name = ChFr_xxx where xxx is initial belief short_name,';
	k=k+1;text{k} = 'full_name = ChFr_xxx where xxx is initial belief full_name';
	
case 'Conditioning NA'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Conditioning a belief object on a subset.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Given a belief potential on frame X, build its conditioning on frame Y where Y is a subset of X';
	k=k+1;text{k} = 'Done with dempster''s rule of conditioning.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'If belief object ccconcerns conditional beliefs, done for every potential.';
	
case 'Ballooning Ext. NA'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Ballooning extension.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Given a belief over space X conditioned on one element h of H,';
	k=k+1;text{k} = 'build a belief on XxH.';
	k=k+1;text{k} = 'The solution is the least committed bba on XxH which conditioning on Xxh reproduces the initial bba.';
	
case 'Approximate Distinct Combination NA'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Approximate Distinct Combination';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'When the number of focal elements is too large, approximation can be used to reduce computational load.';
	
case 'Compare 2 belief potentials NA'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Compare 2 belief potentials.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'When belief can be computed in two ways, we compare them to check if reults are equal.';
	k=k+1;text{k} = 'Convenient to check algorithm correctness.';
	
case 'EvClus: dissimil -> m'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'EvClus: evidential clustering.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Algorithm of Denoeux-Masson';
	k=k+1;text{k} = 'Input is a dissimilarity matrix.';
	k=k+1;text{k} = 'It is assumed :'; 
	k=k+1;text{k} = '  individual can be categorized into N classes (an input parameter),';
	k=k+1;text{k} = '  for each individual, there is a belief potential (to be determined) representing our knowledge about the class to which it belongs,';
	k=k+1;text{k} = '  for every pair (i,j) of individuals, let pl{i,j}(S) be the plausibility that they belong to the same class (computed from last belief potentials,';
	k=k+1;text{k} = '  we knwow the dissimilarity d{i,j} between two individuals (entered in the input matrix), ';
	k=k+1;text{k} = '  the condition: d{i,j} > d{k,l} -> pl{i,j}(S) < pl{k,l}(S).';
	k=k+1;text{k} = 'The EcClus algorithm determines the belief potentials that satisfy (as well as possible) these conditions.'; 
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'TBMLAB presents also a plot with the first two components of a multidimensional scaling plot.';
	k=k+1;text{k} = '';
	k=k+1;text{k} = 'Meaning of the parameters: ';
	k=k+1;text{k} = 'option = 0, focal sets are singletons,';
	k=k+1;text{k} = 'option = 1, focal sets are singletons, the empty set and the universe,';
	k=k+1;text{k} = 'option > 1, each belief potential can have up to 2^N focal sets.';
	k=k+1;text{k} = 'lambda is a regularization parameter, default = .001';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Details, see: T. Denoeux and M. Masson. EVCLUS: Evidential Clustering of Proximity Data. IEEE Trans. SMC B, 2002.';
	
case 'Preference'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Setting Your Preferences';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'You ccan modify some of the preferences of TBMLAB';
	
case 'Default'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Reset Default Preferences';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'System initial preferences are installed.';
	
case 'Open'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Open Preference File';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Past preferences that have been saved are relaoded.';
	
case 'Save'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Save Preference File';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Save your preferences for future sessions.';
	
case 'GUI'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'GUI_Param';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'You can modify some of the parameters of the GUI.';
	
case 'TBM'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'TBM_Param';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'You can modify some of the parameters of the TBM output display.';
	
case 'Help Level'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Help Level';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'There are 3 Help levels.';
	k=k+1;text{k} = 'max : you get all helps. Default option.';
	k=k+1;text{k} = 'med : you don''t get the button helps.';
	k=k+1;text{k} = 'min : no help is provided.';
	
case 'Mobius Transformations'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Explaining concepts related to the Mobius Transformation usefull for the TBM.';
	
case 'Potential Demo'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Tabulator for Potential';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'A tabulator for computing the various forms of potentials (m,b,Bel,pl,q,wc,wd,BetP).';
	k=k+1;text{k} = 'You enter one form and get the other forms of potentials.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The potential forms are :';
	k=k+1;text{k} = 'm = basic belief assignment'; 
	k=k+1;text{k} = 'Bel = normalized belief function'; 
	k=k+1;text{k} = 'pl = plausibiulity function';
	k=k+1;text{k} = 'b = implicaibility funciton';
	k=k+1;text{k} = 'q = commonality function';
	k=k+1;text{k} = 'wc = canonical conjunctive weigths'; 
	k=k+1;text{k} = 'wd = canonical disjunctive weigths'; 
	k=k+1;text{k} = 'BetP = pignistic probability function';
	
case 'Mobius Transf Operators'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Mobius Transform Operators';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'bel, pl, q are Mobius transform of m, etc....';
	k=k+1;text{k} = 'Showing what are the matrices that transform one form of potential into another.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The potential forms are :';
	k=k+1;text{k} = 'm = basic belief assignment'; 
	k=k+1;text{k} = 'Bel = normalized belief function'; 
	k=k+1;text{k} = 'pl = plausibiulity function';
	k=k+1;text{k} = 'b = implicaibility funciton';
	k=k+1;text{k} = 'q = commonality function';
	k=k+1;text{k} = 'BetP = pignistic probability function';
	
case 'Explaining FMT'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Explaining the Fast Mobius Transforms (FMT)';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'bel, pl, q are Mobius transform of m, etc....';
	k=k+1;text{k} = 'The FMT are to the inter potential form transformations what the FFT is to the Fourier transform';
	k=k+1;text{k} = 'We explain with an illustrative example what are the algorithms of the FMT.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The potential forms are :';
	k=k+1;text{k} = 'm = basic belief assignment'; 
	k=k+1;text{k} = 'Bel = normalized belief function'; 
	k=k+1;text{k} = 'pl = plausibiulity function';
	k=k+1;text{k} = 'b = implicaibility funciton';
	k=k+1;text{k} = 'q = commonality function';
	
case 'Specialization Demo'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Explaining the specialization matrices.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The conjunctive impact of a piece of information can be represented by a specialization matrix.';
	k=k+1;text{k} = 'The conjunctive combination rule for distinct pieces of evidence is represented by a Dempsterian specialization matrix.';
	k=k+1;text{k} = 'We show how the algorithm works for a frame with 3 elements and for the m to b transformation.';
	
case 'GBT Demo'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Explaining the Generalized Bayesian Theorem (GBT)';
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'Given the conditonal belief over an observation space X for each element of a frame H of hypotheses,';
	k=k+1;text{k} = 'find the belief induced on H given one has observed x subset of X.';	
	k=k+1;text{k} = 'When the conditional belief can be accepted as induced by distinct pieces of evidence,';	
	k=k+1;text{k} = 'the result is computed with the GBT ';	
	k=k+1;text{k} = ' ';	
	k=k+1;text{k} = 'We illustrate the applcation of the GBT to a case where card(X) = 3 and card(H) = 5.';	
	k=k+1;text{k} = 'Conditional bba can be entered as random vectors or from the keyboard.';	
	
case 'Lectures'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Run Lectures';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Several Lectures on the TBM are provided. You select the one you like and study it.';
	
case 'Combi_Distinct'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Lecture on the combination of the potentails induced by disrtinct pieces of evidence.';
	k=k+1;text{k} = ' ';
	
case 'GBT'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Lecture on the GBT (Generalized Bayesian Theorem).';
	k=k+1;text{k} = ' ';
	
case 'Potential'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Lecture on the various forms taken by a potential.';
	k=k+1;text{k} = ' ';

case 'Application Demo'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Self contained demos on real life difficult problems solved within the TBM';
	
case 'Classifier Repeated Data'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Demo on a sensor that collects data repeatedly and has a fading memory.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The sensor sends repeatedly essentially the same data over and over, so distinctness is not aceptable.';
	k=k+1;text{k} = 'The sensor has a fading memory: recent data are more weighted than older ones.';
	
	
case 'Sensor VarGran LimCap LimKn'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Demo on 5 sensors that report on the class of the same object.';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Sensors are not ideal. The problems are:';
	k=k+1;text{k} = 'Varying Granularity: the domain for a sensor is a coarsening of the full set of hypotheses.';
	k=k+1;text{k} = 'Limited Communiation Capaity: a sensor communicates only a few likelihoods.';
	k=k+1;text{k} = 'Limited Knowledge: some likelihoods are undefined.';
	k=k+1;text{k} = ' ';
	
	
	
	% For the menu in Help add an extra H at end of its label
	
case 'Menu ActionsH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Menu Actions';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'A help explaining the tasks performed by each menu.';
	k=k+1;text{k} = 'You get a list of every menu.';
	k=k+1;text{k} = 'You select the one for which you want to get details.';
	
	% case 'DemosH'
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Demos examples';
	% 	k=k+1;text{k} = ' ';
	% 	k=k+1;text{k} = 'Displaying the text of the available demos.';	
	
case 'ObjectH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Object Help';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Explaining what are the objects.';
	
case 'FrameH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Frame Help';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The help for the frame object.';
	
case 'StructureH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Structure Help';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The help for the Structure object.';
	
case 'MappingH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Mapping Help';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The help for the Mapping object.';
	
case 'AttributeH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Attribute Help';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The help for the Attribute object.';
	
case 'VariableH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Variable Help';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The help for the Variable object.';
	
case 'BeliefH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Belief Help';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The help for the Belief object.';
	
case 'About TBMLABH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'The welcome text';
	
case 'Help TextsH'
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Print Help Texts';
	k=k+1;text{k} = ' ';
	k=k+1;text{k} = 'Most Help Texts are printed on a file. Useful to prepare a notebook.';
	
end	
