function picto_with_text_and_menu(i_obj,color_line,color_bckgr)
% draw picto and add to it the menu for iucontext

%
%   Version : Feb 6,03.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global node

switch node(i_obj).nature
case 'variable'
	color_bckgr_now = [.7 .7 .7];
case 'belief'
	color_bckgr_now = [1 0.7 0.7];
end

picto_with_text(i_obj,color_line,color_bckgr_now);

node(i_obj).hd_menu = uicontextmenu;

clb_here = ['clb_node(1,',num2str(i_obj),')'];

set(node(i_obj).hd_picto,...
'ButtonDownFcn',clb_here,...
'uiContextMenu',node(i_obj).hd_menu);

switch node(i_obj).nature
case 'belief'
	% when above a belief node, I want to get on the set of domain variables for each cond var 
	% Edit Masses Select Set and Logical Expr
	% show Bel,BetP,Pl (multi var)
	% show masses as list (multi var)
	% show Belief Editor
	
	% produce data BEFORE propagation
	
	clb = ['clb_node(2,',num2str(i_obj*5+1),')'];
	uimenu(node(i_obj).hd_menu,'Label','Edit Selected Masses. No C/I','Callback', clb);	
	clb = ['clb_node(2,',num2str(i_obj*5+2),')'];
	uimenu(node(i_obj).hd_menu,'Label','Show Bel, BetP, Pl','Callback', clb);	
	clb = ['clb_node(2,',num2str(i_obj*5+3),')'];
	uimenu(node(i_obj).hd_menu,'Label','Show list bbm','Callback', clb);	
	clb = ['clb_node(2,',num2str(i_obj*5+4),')'];
	uimenu(node(i_obj).hd_menu,'Label','Show Belief Editor','Callback', clb);	
	
case 'variable'
	% when above a belief node, I want to get for THAT variable only
	% show Bel,BetP,Pl (one var)
	% show masses as list (one var)
	% show all forms if not too long (one var)
	
	% produce data AFTER propagation but on ONE variable at a time.
	
	% find bel object with data after propagation
	
	clb = ['clb_node(2,',num2str(i_obj*5+1),')'];
	uimenu(node(i_obj).hd_menu,'Label','Show Bel, BetP, Pl','Callback', clb);	
	clb = ['clb_node(2,',num2str(i_obj*5+2),')'];
	uimenu(node(i_obj).hd_menu,'Label','Show list bbm','Callback', clb);	
	clb = ['clb_node(2,',num2str(i_obj*5+3),')'];
	uimenu(node(i_obj).hd_menu,'Label','Show Belief Editor','Callback', clb);	
	
end	
