% executing the tabul, put, clear, replay instructions

nr = 30; nc = 11; 

switch what_to_do(ind_inst).type
case 'put'
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	% evaluating the tbm_tabular put expressions
	
	k = to_eval;	
	line_put(k) = 2; % so I will not do it twice
	eval('coord = str2num(put_instr{k,1});');
	[nr1 nc1] = size(coord);
	
	% modifying data if there is  (data read from tabul)
	tt = put_instr{k,2};
	
	pos_nstr = findstr(tt,'');
	for i = length(pos_nstr):-2:1
		num = tt(pos_nstr(i-1)+1:pos_nstr(i)-1);	
		n = str2num(num);
		val = get(handle_tbm_tabulator.hd_data(n(1),n(2)),'string');				
		text1 = tt(1:pos_nstr(i-1)-1);
		text3 = tt(pos_nstr(i)+1:length(tt));
		tt = [text1,val,text3];
	end

	tt = ['{''',tt,'''};'];
	tt = strrep(tt,'  ',' ');
	tt = strrep(tt,' ',''',''');
	eval(['data = ',tt,';']);

	for i = 1:nr1	
		set(handle_tbm_tabulator.hd_data(coord(i,1),coord(i,2)),'String',data{i});				
		x_tbm_tabulator{ coord(i,1), coord(i,2)} = data{i};
	end

case 'tabul'
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	% evaluating the tbm_tabular expressions			
	
	k = to_eval;				
	for k = to_eval	
		line_eval(k) = 2; % so I will not do it twice
		% line y are between 1 and - infinity ans we start at 1 and go down with skip
		eval(tabul_instr{k})
	end

	% changing data in text if it includes   'read in data'  or   'section label'
	to_eval = intersect(find(to_modify >  start_section(i_sect)) ,...
	find(to_modify <  start_section(i_sect+1))); 		
	to_eval = to_modify(to_eval);
	
	text_line = get(hd_text(k),'string');
	pos_nstr = findstr(text_line,'');
	for i = length(pos_nstr):-2:1
		tt = text_line(pos_nstr(i-1)+1:pos_nstr(i)-1);	
		n = str2num(tt);
		if ~isempty(n)
			val = get(handle_tbm_tabulator.hd_data(n(1),n(2)),'string');				
		else
			num2str(find(strcmp(lower(tt),label)));
			val = ['Section ',num2str(find(strcmp(tt,label))-1)]; % -1 because of title
		end		
		text1 = text_line(1:pos_nstr(i-1)-1);
		text3 = text_line(pos_nstr(i)+1:length(text_line));
		text_line = [text1,val,text3];				
	end
	figure(hd_fig_tutor)
	set(hd_text(k),'String',text_line);
	
case 'clear'
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	delete(handle_tbm_tabulator.hd_fig)				
	clear global handle_tbm_tabulator  x_tbm_tabulator obj i_obj ind_hist history
	global handle_tbm_tabulator  x_tbm_tabulator obj i_obj ind_hist history
	build_tabulator_tutorial(nr,nc)
case 'replay'
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%			
	send_tabulator(1,1,'replay')
	% the clear implie history cleared, hence history contains instructions since last lear, OK
end									
