function tutor_list = get_tutorial_list
% getting the list of tutorial
% so we can put them in the menus

%
%   Version : March 15,2004.
%   Copyright (c) 2003 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global pathname2TBMLABvers

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% select the file with the tutorial 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

root_file_name = fullfile(pathname2TBMLABvers,'Gui_Lib','Menu_Tutorials','Tutorial_Texts','');
cd(root_file_name);
fnlist = dir;
k = 0;
for i = 1:length(fnlist)
	if  ~isempty(findstr('.tutor.',fnlist(i).name))
		if ~strcmp(fnlist(i).name(1),'.')
			k = k + 1;
			tutor_list{k} = fnlist(i).name;
		end
	end
end
