function hand = text_display(Wdw_Cmd_handle, text, position)
% displaying one paragraph text wrapped in a window with a frame
% output = hand with TWO sets of position

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


[wrapped_text, v_space] = fit_text_in_box(Wdw_Cmd_handle, text, position(3)-.01);
position(4) = v_space + .005;

hand(1) = uicontrol('Parent',Wdw_Cmd_handle, ...
		'Position',position+[0 0 0 .010], ...
		'Style','frame');	
posit = 	position + 	[.005 .005 -.010 0];
hand(2) = uicontrol('Parent',Wdw_Cmd_handle, ...
		'Position',posit, ...
		'Style','text', ...
		'HorizontalAlignment','left',...
		'String',wrapped_text{1});	
