
%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

function testbuttons(option)

close all
clear global
global Which_Courier
set(0,...
'DefaultuicontrolFontName','Times roman',...
'DefaultuicontrolFontSize',10,...
'DefaultuicontrolFontWeight','normal',...
'DefaultFigureWindowStyle','normal',...
'DefaultFigureMenuBar','none',...
'DefaultuicontrolUnits','Normalized',...
'DefaultFigureColor','white',...
'DefaultuicontrolBackgroundColor','white',...
'DefaultFigureNumberTitle','off')

screen_size = get(0,'ScreenSize');

hd_fig = figure;
set(gcf,'position',[8 50,.95* screen_size(3), .9*screen_size(4)]);




% frame with title and working area

% preparing the display

% input = title, text, frame position UpperLeftWidth (no height) 

title = 'The wholy day for a nice expermeiunt on text display with gui';
text = {'This is rerally a nice text and I wonder if I canmake it fit in the area I assigned for it',...
'Again this is rerally a nice text and I wonder if I canmake it fit in the area I assigned for it'};
posULW = [.005 .995 .145];
% 	font = 'Times Roman';

font = Which_Courier;


% function order_boxes( option,title,text,posULW)
% Control Panel: display of multiple queries in diff forms. 

% beware of data communic with iflags. 
% when displaying flags store ihd (the handles)
% when displaying DO IT button, global flags has stored what must be read in control panel
% flags{next_one,1} = [hd_obj,...] of objects to be read
% flags{next_one,2} = ind_obj  (togglebutton, queries, muliplechoice)
% flags{next_one,3} = [val_answers,...] values of each answer at output

% when DO IT puched flags contains data read

% you build the various boxes (text, togglebuttons, queries, mutliplechoice, and ONE puchbutton)
% you can change the answers and when done pushbutton for DO IT
% Once pushbutton pushed, it read all data, and excecute the actions.
%
% How to use it;
% ask the various objects, put the pushbutton. uiwait for the puchbutton

% the callback are 
% text none
% togglebuttons : get value
% queries : answers with get string
% singlechoice : look every toggelbuttons, check which in on and off, several allowed

global flags  flagstr hd_gr

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% no empty title , no empty text
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

space_fr = .003;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% begin gui section
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

ihd = 0;
position = [posULW(1)+space_fr  .005    posULW(3)-2*space_fr .95];

switch option

case 'text'
	
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	% text only, no callback
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	% wrapping title and text
	h = uicontrol(hd_fig,'Position',position,'fontname',font); 
	% stupid but you must create a temporary object 
	% as textwrap needs a handle and a box_width.
	[wrapped_title, posit]  = protected_textwrap(h,title);
	title_v_space = posit(4);
	[wrapped_text, posit]  = protected_textwrap(h,text);
	text_v_space = posit(4) ;
	delete(h);
	
	% + 2 = title and header line, need one space at top, but 2 at bottoms
	pos_frame = [posULW(1)				posULW(2)-title_v_space-text_v_space-4*space_fr		posULW(3)				title_v_space+text_v_space+4*space_fr  ];
	pos_title = [posULW(1)+space_fr		posULW(2)-title_v_space-space_fr-space_fr			posULW(3)-2*space_fr	title_v_space+space_fr ];
	pos_text  = [posULW(1)+space_fr		posULW(2)-title_v_space-text_v_space-3*space_fr		posULW(3)-2*space_fr	text_v_space+space_fr ];
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',pos_frame,...
	'Style','Frame');
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',  pos_title,...
	'String',wrapped_title,...
	'ForegroundColor','red',...
	'FontName',font,...
	'Style','Text');
	
	% get  var
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',pos_text,...
	'Style','Text',...
	'HorizontalAlignment','left',...
	'FontName',font,...
	'String',wrapped_text);
	
case 'togglebutton'

	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	% toggle buttons in a frame + text(in button, SHORT) + 1 button
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	% wrapping title
	h = uicontrol(hd_fig,'Position',position,'fontname',font); 
	% stupid but you must create a temporary object 
	% as textwrap needs a handle and a box_width.
	[wrapped_title, posit]  = protected_textwrap(h,title);
	title_v_space = posit(4);
	delete(h);
	
	but_h = .05;
	
	pos_frame = [posULW(1)				posULW(2)-title_v_space-but_h-4*space_fr		posULW(3)				title_v_space+but_h+4*space_fr  ];
	pos_title = [posULW(1)+space_fr		posULW(2)-title_v_space-space_fr-space_fr		posULW(3)-2*space_fr	title_v_space+space_fr ];
	pos_butt  = [posULW(1)+5*space_fr	posULW(2)-title_v_space-but_h-3*space_fr		posULW(3)-10*space_fr	but_h+space_fr ];
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',pos_frame,...
	'Style','Frame');
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',  pos_title,...
	'String',wrapped_title,...
	'ForegroundColor','red',...
	'FontName',font,...
	'Style','Text');
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',  pos_butt,...
	'String',text,...
	'ForegroundColor','red',...
	'BackgroundColor','yellow',...
	'FontName',font,...
	'Style','togglebutton');
	
case 'pushbutton'

	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	% pushbuttons in a frame + title [] + text []
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	title = 'Push button only when all selections over';
	text = 'DO IT';
	
	% wrapping texts
	h = uicontrol(hd_fig,'Position',position,'fontname',font); 
	% stupid but you must create a temporary object 
	% as textwrap needs a handle and a box_width.
	[wrapped_title, posit]  = protected_textwrap(h,title);
	title_v_space = posit(4);
	delete(h);
	
	but_h = .05;
	
	pos_frame = [posULW(1)				posULW(2)-title_v_space-but_h-4*space_fr		posULW(3)				title_v_space+but_h+4*space_fr  ];
	pos_title = [posULW(1)+space_fr		posULW(2)-title_v_space-space_fr-space_fr		posULW(3)-2*space_fr	title_v_space+space_fr ];
	pos_butt  = [posULW(1)+5*space_fr	posULW(2)-title_v_space-but_h-3*space_fr		posULW(3)-10*space_fr	but_h+space_fr ];
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',pos_frame,...
	'Style','Frame');
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',  pos_title,...
	'String',title,...
	'ForegroundColor','red',...
	'FontName',font,...
	'Style','Text');
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',  pos_butt,...
	'String',text,...
	'ForegroundColor','red',...
	'BackgroundColor','yellow',...
	'FontName',font,...
	'callback','clb_control;uiresume;',...
	'Style','pushbutton');
	
case 'multiplechoice'

	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	% several toggelbuttons in a frame + title +   buttons one per text
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	
	text{1} = 'Que se passe t il avec mon wrapped text. Bizarre qu''il foire our du banal.';
	text{2} = 'rrt';
	
	% wrapping texts
	h = uicontrol(hd_fig,'Position',position,'fontname',font); 
	% stupid but you must create a temporary object 
	% as textwrap needs a handle and a box_width.
	[wrapped_title, posit]  = protected_textwrap(h,title);
	title_v_space = posit(4);
	delete(h);
	position(3) = .8*posULW(3)-2*space_fr;
	
	h = uicontrol(hd_fig,'Position',position,'fontname',font); 	
	for i = 1:length(text)
		[wrapped_text{i}, posit]  = protected_textwrap(h,text{i});
		text_v_space(i) = posit(4);
	end
	delete(h);	
	
	but_h = .014;
	total_h = title_v_space + sum(text_v_space) + (3+length(text))*space_fr;
	
	pos_frame = [posULW(1)				posULW(2)-total_h 								posULW(3)				total_h  ];
	pos_title = [posULW(1)+space_fr		posULW(2)-title_v_space-space_fr-space_fr		posULW(3)-2*space_fr	title_v_space+space_fr ];
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',pos_frame,...
	'Style','Frame');
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',  pos_title,...
	'String',wrapped_title,...
	'ForegroundColor','red',...
	'FontName',font,...
	'Style','Text');
	
	posit_but  = [posULW(1)+space_fr					posULW(2)-title_v_space-2*space_fr	.1*posULW(3)			but_h ];
	posit_text = [posit_but(1)+posit_but(3)+space_fr	posULW(2)-title_v_space-2*space_fr	.8*posULW(3)-2*space_fr	0 ];
	
	for i = 1:length(text)
		posit_text(2) = posit_text(2) - text_v_space(i) - space_fr; 
		posit_text(4) = text_v_space(i) + space_fr;
		posit_but(2) = posit_text(2) + posit_text(4) - but_h - space_fr ;
		
		ihd = ihd + 1;
		hd_gr(ihd) = uicontrol('parent',hd_fig,...
		'position',  posit_text,...
		'String',wrapped_text{i},...
		'FontName',font,...
		'HorizontalAlignment','left',...		
		'Style','text');
		
		ihd = ihd + 1;
		hd_gr(ihd) = uicontrol('parent',hd_fig,...
		'position',  posit_but,...
		'BackgroundColor','white',...
		'Style','togglebutton');
	end

case 'queries'

	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%
	% several queries in a frame + title +  boxes one per text
	%
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	
	text{1} = 'Que se passe t il avec mon wrapped text. ';
	text{2} = 'rrt  un peu plus long svp';
	text{3} = 'lin3';
	text{4} = 'lin4';
	text{5} = 'lin5';
	
	nbr_text = length(text);
	text{nbr_text+1} = 'for ht';
	%text too long for one text needed to get one line ht
	
	% wrapping texts
	position(3) = .8*posULW(3)-2*space_fr;
	h = uicontrol(hd_fig,'Position',position,'fontname',font); 
	% stupid but you must create a temporary object 
	% as textwrap needs a handle and a box_width.
	[wrapped_title, posit]  = protected_textwrap(h,title);
	title_v_space = posit(4);
	delete(h);
	position(3) = .75*posULW(3)-2*space_fr;
	
	h = uicontrol(hd_fig,'Position',position,'fontname',font); 	
	for i = 1:length(text)
		[wrapped_text{i}, posit]  = protected_textwrap(h,text{i});
		text_v_space(i) = posit(4);
	end
	delete(h);	
	
	box_h = text_v_space(length(text))+2*space_fr;
	
	total_h = title_v_space + sum(text_v_space) + (3+nbr_text)*space_fr;
	
	pos_frame = [posULW(1)				posULW(2)-total_h 								posULW(3)				total_h  ];
	pos_title = [posULW(1)+space_fr		posULW(2)-title_v_space-space_fr-space_fr		posULW(3)-2*space_fr	title_v_space+space_fr ];
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',pos_frame,...
	'Style','Frame');
	
	ihd = ihd + 1;
	hd_gr(ihd) = uicontrol('parent',hd_fig,...
	'position',  pos_title,...
	'String',wrapped_title,...
	'ForegroundColor','red',...
	'FontName',font,...
	'Style','Text');
	
	posit_box  = [posULW(1)+space_fr					posULW(2)-title_v_space				.25*posULW(3)				box_h ];
	posit_text = [posit_box(1)+posit_box(3)+space_fr	posULW(2)-title_v_space-2*space_fr	.70*posULW(3)-2*space_fr	0 ];
	
	for i = 1:nbr_text
		posit_text(2) = posit_text(2) - text_v_space(i) - space_fr; 
		posit_text(4) = text_v_space(i) + space_fr;
		posit_box(2) = posit_text(2) + posit_text(4) - box_h - space_fr ;
		
		ihd = ihd + 1;
		hd_gr(ihd) = uicontrol('parent',hd_fig,...
		'position',  posit_text,...
		'String',wrapped_text{i},...
		'FontName',font,...
		'HorizontalAlignment','left',...		
		'Style','text');
		
		ihd = ihd + 1;
		hd_gr(ihd) = uicontrol('parent',hd_fig,...
		'position',  posit_box,...
		'HorizontalAlignment','left',...
		'FontName',font,...
		'Style','edit');
	end

otherwise
	%
end



% togglebuttons

