function [hd_lg_tx_fig,hd_title_lg_tx,long_text_help, pos_button_in_pixels] = ...
build_button_helps(hd_fig,hd_buttons,index_set_but)
% preparing the help text linked to each button

% 
% hd_fig		= handle of the figure with all the buttons
% hd_buttons	= handles of the buttons
% index_set_but	= a nunber that tells which set of long help texts is to be used
%				  to see the displayed texts, see get_help_text_for_set_buttons

%
%   Version : Aug 28, 03.
%   Copyright (c) 2003 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global gui_position


[long_text_help, pos_button_in_pixels] = get_help_text_for_set_buttons(hd_fig, ...
hd_buttons(3:end),index_set_but);
% del_clb = 'msgbox(''Help texts attached to buttons are now turned off. To get them back, use menu TBM_Control : Help level'','''',''warn'')';

% I creating a figure for the long text figure , I use the help figure size
hd_lg_tx_fig = figure(...
'Userdata','button_long_helps',...
'visible','off');
set(gcf,'Position',gui_position(:,1));

% writing its title 
hd_title_lg_tx = uicontrol('Parent',hd_lg_tx_fig,...
'Style','Text',...
'Position', [.005 .945 .99 .05],...
'String','Button attached Help',...
'Userdata','button_long_helps',...
'ForegroundColor','blue',...
'visible','off',...
'HorizontalAlignment','center',...
'FontSize',14);
