function menu_on
% turn on all the menu that may be turned on

%
%   Version : Jan 3,023.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%

global pull_down_menu 

for ind = 1:length(pull_down_menu)
	if strcmp(pull_down_menu(ind).fig_parent,'Root Window') ...
		& pull_down_menu(ind).status 
		set(pull_down_menu(ind).hd,'Enable','on');	
	end
end

% for a mysterious reason, it does not put menu on for those off in menu bar
% the trick is to open another window and come back to Root Windown, then OK.
[index_fig, hd_fig] = handling_all_figures('put_in_front',{'General Window'});

% I change the name of Root Window
[index_fig, hd_fig] = handling_all_figures('put_in_front',{'Root Window'});
set(hd_fig ,'name','Root Window: Menu ON');

