function clb_control
% call back for control panel instructions
% excecute when hitting DO IT pushbutton

%
%   Version : Oct 25,02.
%   Copyright (c) 2002 by Philippe Smets, Brussels, Belgium.
% 	Author: Philippe Smets
%


global flags 

for i = 1:size(flags,1)
	switch flags{i,2}
	case 'togglebutton'
		flags{i,3} = get(flags{i,1}(1),'value');
	case 'queries'
		rep = [];
		for j = 1:length(flags{i,1}(:))
			rep = [rep str2num(get(flags{i,1}(j),'string'))];
		end
		flags{i,3} = rep;
	case 'multiplechoice'
		rep = [];
		for j = 1:length(flags{i,1}(:))
			rep = [rep get(flags{i,1}(j),'value')];
		end
		flags{i,3} = rep;
	case 'pushbutton'
		set(flags{i,1}(1),'userdata',num2str(rand(1)));
	end
end	

